package cn.iocoder.yudao.module.bpm.controller.admin.financialpaymentitem.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 财务支付子表分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class FinancialPaymentItemPageReqVO extends PageParam {

    @Schema(description = "财务支付id", example = "7319")
    private Long financialPaymentId;

    @Schema(description = "支付金额")
    private BigDecimal amount;

    @Schema(description = "备注说明")
    private String notes;

    @Schema(description = "附件信息")
    private String fileItems;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}