package cn.iocoder.yudao.module.bpm.controller.admin.financialpaymentitem.vo;

import cn.iocoder.yudao.module.bpm.controller.admin.upload.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 财务支付子表 Response VO")
@Data
public class FinancialPaymentItemRespVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "7277")
    private Long id;

    @Schema(description = "财务支付id", example = "7319")
    private Long financialPaymentId;

    @Schema(description = "支付金额")
    private BigDecimal amount;

    @Schema(description = "备注说明")
    private String notes;

    @Schema(description = "附件信息", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

}
