package cn.iocoder.yudao.module.bpm.controller.admin.financialpaymentitem.vo;

import cn.iocoder.yudao.module.bpm.controller.admin.upload.UploadUserFile;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 财务支付子表新增/修改 Request VO")
@Data
public class FinancialPaymentItemSaveReqVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "7277")
    private Long id;

    @Schema(description = "财务支付id", example = "7319")
    private Long financialPaymentId;

    @Schema(description = "支付金额")
    private BigDecimal amount;

    @Schema(description = "备注说明")
    private String notes;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> fileItems ;

}
