package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.cash;

import cn.iocoder.yudao.module.bpm.controller.admin.upload.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * 现金支出 创建 Request VO
 *
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 现金支出创建 Request VO")
@Data
@EqualsAndHashCode()
@ToString(callSuper = true)
public class BpmOACashCreateReqVO {

    @Schema(description = "收款人信息")
    private Long bankId;

    @Schema(description = "现金支出明细")
    private List<Cash> cashItem;

    @Schema(description = "报销总金额", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "报销总金额不能为空")
    private BigDecimal totalMoney;

    @Schema(description = "流程实例编号")
    private String processInstanceId;

    @Schema(description = "状态-参见 bpm_process_instance_result 枚举", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer result;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;
}
