package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.cash;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import cn.iocoder.yudao.module.bpm.controller.admin.upload.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 现金支出 请求Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOACashRespVO extends BpmOABaseRespVO {

    @Schema(description = "收款人信息编号")
    private Long bankId;

    @Schema(description = "收款人名称")
    private String payeeName;

    @Schema(description = "银行卡号")
    private String bankNo;

    @Schema(description = "开户行名称")
    private String bankName;

    @Schema(description = "现金支出明细")
    private List<Cash> cashItem;

    @Schema(description = "报销总金额")
    private BigDecimal totalMoney;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;
}
