package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.incentive;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import cn.iocoder.yudao.module.bpm.controller.admin.upload.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;
import java.util.Set;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 奖惩申请响应数据 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAIncentiveRespVO extends BpmOABaseRespVO {

    @Schema(description = "奖惩类型 字典值参考 bpm_oa_incentive_type")
    private Integer type;

    @Schema(description = "奖惩人编号")
    private Set<Long> incentiveUserIds;

    @Schema(description = "奖惩人部门编号")
    private Set<Long> incentiveDeptIds;

    @Schema(description = "奖惩人信息列表  key:部门名称, value:用户名称集合")
    private Map<String, List<String>> userInfo;

    @Schema(description = "奖惩时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime time;

    @Schema(description = "奖惩金额")
    private BigDecimal amount;

    @Schema(description = "奖惩事由")
    private String reason;

    @Schema(description = "上传文件")
    private List<UploadUserFile> fileItems ;
}
