package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.print;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotEmpty;

@Schema(description = "管理后台 - 流程打印数据请求参数 Item Response VO")
@Data
@ToString(callSuper = true)
public class BpmProcessInstancePrintDataReqVO {

    @Schema(description = "流程实例的编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "ac4e415a-f645-11ee-a8c3-00163e18933d")
    @NotEmpty(message = "流程实例的编号不能为空")
    private String id;


    @Schema(description = "流程标识", requiredMode = Schema.RequiredMode.REQUIRED, example = "oa_reimbursement")
    @NotEmpty(message = "流程标识不能为空")
    private String key;

}
