package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.reimbursement;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import cn.iocoder.yudao.module.bpm.controller.admin.upload.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@Schema(description = "管理后台 - 报销响应数据 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAReimbursementRespVO extends BpmOABaseRespVO {
    /**
     * 收款人信息
     */
    @Schema(description = "收款人名称")
    private String nickname;

    @Schema(description = "开户行信息")
    private String bankName;

    @Schema(description = "收款人卡号")
    private String bankNo;

    @Schema(description = "报销项目明细", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "报销项目不能为空")
    private List<ReimbursementDTO> reimbursements;

    @Schema(description = "报销总金额", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "报销总金额不能为空")
    private BigDecimal totalMoney ;

    @Schema(description = "报销总金额中文大写", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "报销总金额中文大写不能为空")
    private String totalMoneyChinese ;

    @Schema(description = "报销类型", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "报销类型不能为空")
    private BigDecimal reimbursementType ;

    @Schema(description = "备用金金额", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private BigDecimal amount ;

    @Schema(description = "备用金差额 = 备用金额 - 报销总金额", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private BigDecimal difference ;

    @Schema(description = "报销发票总数", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "报销发票总数不能为空")
    private Integer totalQuantity ;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems ;
}
