package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.worktask;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 任务分配分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAWorkTaskPageReqVO extends PageParam {

    @Schema(description = "发起人用户ID")
    private Long fromUserId;

    @Schema(description = "用户ID")
    private Long userId;

    @Schema(description = "部门编号")
    private Long deptId;

    @Schema(description = "用户ID列表")
    private List<Long> userIdList;

    @Schema(description = "状态")
    private Integer workTaskStatus;

    @Schema(description = "任务名称")
    private String taskName;

    @Schema(description = "是否查看我的任务分配标识 | 1：我的 2：全部")
    private Integer isMyTask;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @Schema(description = "申请时间")
    private LocalDateTime[] createTime;
}
