package cn.iocoder.yudao.module.bpm.dal.dataobject.financialpayment;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 财务支付管理 DO
 *
 * @author 艾楷
 */
@TableName("bpm_financial_payment")
@KeySequence("bpm_financial_payment_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FinancialPaymentDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 申请人的用户编号
     */
    private Long userId;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 对应流程类型oa业务id
     */
    private Long objectId;
    /**
     * 流程实例id
     */
    private String processInstanceId;
    /**
     * 流程实例名称
     */
    private String processInstanceName;
    /**
     * 申请费用原因
     */
    private String reason;
    /**
     * 流程类型 1现金支出 2备用金 3采购付款 4报销
     */
    private Integer type;
    /**
     * 支付状态 0待支付 1分批支付中 2已支付 3拒绝
     */
    private Integer status;
    /**
     * 领取的财务用户id
     */
    private Long receiveUserId;
    /**
     * 应该支付金额
     */
    private BigDecimal amountPayable;
    /**
     * 实际支付
     */
    private BigDecimal actualPayment;

    /**
     * 流程开始时间
     */
    private LocalDateTime beginTime;
    /**
     * 流程结束时间
     */
    private LocalDateTime endTime;

    /**
     * 名称
     */
    @TableField(exist = false)
    private String nickname;
    /**
     * 部门名称
     */
    @TableField(exist = false)
    private String deptName;
    /**
     * 领取人用户名称
     */
    @TableField(exist = false)
    private String receiveUserNickName;
}
