package cn.iocoder.yudao.module.bpm.dal.dataobject.financialpaymentitem;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.bpm.controller.admin.upload.UploadUserFile;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.*;

import java.math.BigDecimal;
import java.util.List;

/**
 * 财务支付子表 DO
 *
 * @author 艾楷
 */
@TableName(value = "bpm_financial_payment_item", autoResultMap = true)
@KeySequence("bpm_financial_payment_item_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FinancialPaymentItemDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 财务支付id
     */
    private Long financialPaymentId;
    /**
     * 支付金额
     */
    private BigDecimal amount;
    /**
     * 备注说明
     */
    private String notes;
    /**
     * 附件信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> fileItems;

}
