package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * OA 现金支出明细 DO
 *
 * @author 符溶馨
 */
@TableName(value ="bpm_oa_cash_item", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOACashItemDO extends BaseDO {

    /**
     * 出差表单主键
     */
    @TableId
    private Long id;

    /**
     * 现金支出业务编号
     */
    private Long cashId;

    /**
     * 申请理由
     */
    private String reason;

    /**
     * 费用类型 字典值参照 BPM_OA_REIMBURSEMENT_TYPE
     */
    private Integer type;

    /**
     * 费用产生部门
     */
    private Long deptId;

    /**
     * 采购申请 业务编号
     */
    private Long procureId;

    /**
     * 现金支出金额
     */
    private BigDecimal totalMoney;

    /**
     * 申请日期
     */
    private LocalDate applicationDate;

    /**
     * 备注
     */
    private String notes;
}
