package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.bpm.controller.admin.upload.UploadUserFile;
import cn.iocoder.yudao.module.bpm.enums.task.BpmProcessInstanceResultEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.*;

import java.time.LocalDate;
import java.util.List;

/**
 * OA 入职申请 DO
 *
 * @author 符溶馨
 */
@TableName(value ="bpm_oa_entry", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOAEntryDO extends BaseDO {

    /**
     * 入职申请表单主键
     */
    @TableId
    private Long id;
    /**
     * 发起人的用户编号
     */
    private Long userId;
    /**
     * 新入职用户编号
     */
    private Long entryUserId;
    /**
     * 新入职用户部门编号
     */
    private Long entryDeptId;
    /**
     * 新入职用户部门编号
     */
    private Long entryPostId;

    /**
     * 用户昵称
     */
    private String nickname;
    /**
     * 合同公司 | 字典值参考bpm_entry_company
     */
    private Integer contractCompany;
    /**
     * 手机号码
     */
    private String mobile;
    /**
     * 身份证号码
     */
    private String idcard;
    /**
     * 入职时间
     */
    private LocalDate entryDate;
    /**
     * 面试评价
     */
    private String interviewEvaluation;
    /**
     * 薪资情况
     */
    private String salary;
    /**
     * 附件基本信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> fileItems;
    /**
     * 用章的结果
     *
     * 枚举 {@link BpmProcessInstanceResultEnum}
     * 考虑到简单，所以直接复用了 BpmProcessInstanceResultEnum 枚举，也可以自己定义一个枚举哈
     */
    private Integer result;
    /**
     * 对应的流程编号
     *
     * 关联 ProcessInstance 的 id 属性
     */
    private String processInstanceId;

}