package cn.iocoder.yudao.module.bpm.dal.mysql.financialpayment;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.bpm.controller.admin.financialpayment.vo.FinancialPaymentPageReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.financialpayment.FinancialPaymentDO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 财务支付管理 Mapper
 *
 * @author 艾楷
 */
@Mapper
public interface FinancialPaymentMapper extends BaseMapperX<FinancialPaymentDO> {

    /**
     * 分页列表
     *
     * @param vo
     * @param page
     * @return
     */
    IPage<FinancialPaymentDO> getFinancialPaymentPage(@Param("vo") FinancialPaymentPageReqVO vo, @Param("page") Page page);

    /**
     * 获取详情
     *
     * @param id
     * @return
     */
    FinancialPaymentDO getFinancialPayment(@Param("id") Long id);

    /**
     * 拒绝领取
     *
     * @param ids
     */
    void cancel(@Param("ids") List<Long> ids);
}
