package cn.iocoder.yudao.module.bpm.framework.datapermission.config;

import cn.iocoder.yudao.framework.datapermission.core.rule.dept.DeptDataPermissionRuleCustomizer;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAWorkTaskDO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.task.BpmProcessInstanceExtDO;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 工作流 模块的数据权限 Configuration
 *

 */
@Configuration(proxyBeanMethods = false)
public class DataPermissionConfiguration {

    @Bean
    public DeptDataPermissionRuleCustomizer sysDeptDataPermissionRuleCustomizer() {
        return rule -> {
            // user
            rule.addUserColumn(BpmProcessInstanceExtDO.class, "start_user_id");
            rule.addUserColumn(BpmOAWorkTaskDO.class, "from_user_id");
//            rule.addUserColumn(FinancialPaymentDO.class, "user_id");

            //dept
            rule.addDeptColumn(BpmOAWorkTaskDO.class, "from_dept_id");
//            rule.addDeptColumn(FinancialPaymentDO.class, "dept_id");
        };
    }

}
