package cn.iocoder.yudao.module.bpm.service.financialpaymentitem;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.bpm.controller.admin.financialpaymentitem.vo.*;
import cn.iocoder.yudao.module.bpm.dal.dataobject.financialpaymentitem.FinancialPaymentItemDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 财务支付子表 Service 接口
 *
 * @author 艾楷
 */
public interface FinancialPaymentItemService {

    /**
     * 创建财务支付子表
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createFinancialPaymentItem(@Valid FinancialPaymentItemSaveReqVO createReqVO);

    /**
     * 更新财务支付子表
     *
     * @param updateReqVO 更新信息
     */
    void updateFinancialPaymentItem(@Valid FinancialPaymentItemSaveReqVO updateReqVO);

    /**
     * 删除财务支付子表
     *
     * @param id 编号
     */
    void deleteFinancialPaymentItem(Long id);

    /**
     * 获得财务支付子表
     *
     * @param id 编号
     * @return 财务支付子表
     */
    FinancialPaymentItemDO getFinancialPaymentItem(Long id);

    /**
     * 获得财务支付子表分页
     *
     * @param pageReqVO 分页查询
     * @return 财务支付子表分页
     */
    PageResult<FinancialPaymentItemDO> getFinancialPaymentItemPage(FinancialPaymentItemPageReqVO pageReqVO);

    /**
     * 根据财务支付id获取财务支付详情子表列表
     * @param financialPaymentId
     * @return
     */
    List<FinancialPaymentItemDO> getByFinancialPaymentId(Long financialPaymentId);
}
