package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.cash.BpmOACashCreateReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.cash.BpmOACashRespVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOACashDO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOACashItemDO;

import javax.validation.Valid;
import java.util.List;

public interface BpmOACashService {

    /**
     * 创建现金支出申请
     *
     * @param userId      用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCash(Long userId, @Valid BpmOACashCreateReqVO createReqVO);

    /**
     * 更新现金支出申请的状态
     *
     * @param id     编号
     * @param result 结果
     */
    void updateCashResult(String processInstanceId, Long id, Integer result);

    /**
     * 获得现金支出申请
     *
     * @param id 编号
     * @return 现金支出申请
     */
    BpmOACashDO getCash(Long id);

    /**
     * 获得指定得现金支出明细
     *
     * @param cashId 现金支出 编号
     * @return 明细
     */
    List<BpmOACashItemDO> getCashItem(Long cashId);

    /**
     * 通过流程实例id获取
     *
     * @param processInstanceId
     * @return
     */
    BpmOACashDO getByProcessInstanceId(String processInstanceId);

    /**
     * 转换现金支出详情  用于前端返回值
     * @param cash 现金支出对象
     * @return 现金支出对象
     */
    BpmOACashRespVO convertCash(BpmOACashDO cash);
}
