package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.contract.BpmOAContractCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAContractDO;

import javax.validation.Valid;

public interface BpmOAContractService {

    /**
     * 创建出差申请
     *
     * @param userId 用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createContract(Long userId, @Valid BpmOAContractCreateReqVO createReqVO);

    /**
     * 更新出差申请的状态
     *
     * @param id 编号
     * @param result 结果
     */
    void updateContractResult(Long id, Integer result);

    /**
     * 获得出差申请
     *
     * @param id 编号
     * @return 出差申请
     */
    BpmOAContractDO getContract(Long id);

    /**
     * 获得指定出差申请
     * @param processInstanceId 流程实例编号
     * @return 出差申请
     */
    BpmOAContractDO getByProcessInstanceId(String processInstanceId);
}
