package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.imprest.BpmOAImprestCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAImprestDO;

import javax.validation.Valid;

/**
 * 备用金申请 Service 接口
 *
 * @author 符溶馨
 */
public interface BpmOAImprestService {

    /**
     * 创建备用金申请
     *
     * @param userId      用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createImprest(Long userId, @Valid BpmOAImprestCreateReqVO createReqVO);

    /**
     * 更新备用金申请的状态
     *
     * @param id     编号
     * @param result 结果
     */
    void updateImprestResult(String processInstanceId, Long id, Integer result);

    /**
     * 获得备用金申请
     *
     * @param id 编号
     * @return 备用金申请
     */
    BpmOAImprestDO getImprest(Long id);

    /**
     * 获得备用金表单
     *
     * @param userId 编号
     * @return 备用金申请
     */
    BpmOAImprestDO getImprestByUserId(Long userId);

    /**
     * 获得备用金表单
     *
     * @param reimbursementId 编号
     * @return 备用金申请
     */
    BpmOAImprestDO getImprestByReimbursementId(Long reimbursementId);

    /**
     * 通过流程实例id获取
     *
     * @param processInstanceId
     * @return
     */
    BpmOAImprestDO getByProcessInstanceId(String processInstanceId);
}
