package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.incentive.BpmOAIncentiveCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAIncentiveDO;

import javax.validation.Valid;

/**
 * 奖惩申请 Service 接口
 *
 * @author 符溶馨

 */
public interface BpmOAIncentiveService {

    /**
     * 创建奖惩申请
     *
     * @param userId 用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createIncentive(Long userId, @Valid BpmOAIncentiveCreateReqVO createReqVO);

    /**
     * 更新奖惩申请的状态
     *
     * @param id 编号
     * @param result 结果
     */
    void updateIncentiveResult(Long id, Integer result);

    /**
     * 获得奖惩申请
     *
     * @param id 编号
     * @return 奖惩申请
     */
    BpmOAIncentiveDO getIncentive(Long id);

    /**
     * 获得指定奖惩流程
      * @param processInstanceId 流程实例编号
     * @return 奖惩申请
     */
    BpmOAIncentiveDO getByProcessInstanceId(String processInstanceId);
}
