package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.regular.BpmOARegularCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOARegularDO;

import javax.validation.Valid;

/**
 * 转正申请 Service 接口
 *
 * @author 符溶馨

 */
public interface BpmOARegularService {

    /**
     * 创建转正申请
     *
     * @param userId 用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createRegular(Long userId, @Valid BpmOARegularCreateReqVO createReqVO);

    /**
     * 更新转正申请的状态
     *
     * @param id 编号
     * @param result 结果
     */
    void updateRegularResult(Long id, Integer result);

    /**
     * 获得转正申请
     *
     * @param id 编号
     * @return 转正申请
     */
    BpmOARegularDO getRegular(Long id);

    /**
     * 获得指定的转正申请
     * @param processInstanceId 流程实例编号
     * @return 转正申请
     */
    BpmOARegularDO getByProcessInstanceId(String processInstanceId);
}
