package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAIncentiveService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAIncentiveServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 奖惩的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOAIncentiveResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOAIncentiveService incentiveService;

    @Override
    protected String getProcessDefinitionKey() {
        return BpmOAIncentiveServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        incentiveService.updateIncentiveResult(Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
