package cn.iocoder.yudao.module.infra.api.file.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "RPC 服务 - 用户文件 Request DTO")
@Data
public class UserFileUpdateReqDTO {

    @Schema(description = "附件地址", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "附件地址不能为空")
    private List<String> urls;

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "用户编号不能为空")
    private Long userId;
}
