package cn.iocoder.yudao.module.infra.dal.dataobject.file;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 文件表
 * 每次文件上传，都会记录一条记录到该表中
 *
 */
@TableName("system_qr_code")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class QRCodeDO extends BaseDO {

    /**
     * 编号，数据库自增
     */
    private Long id;

    /**
     * 业务编号
     */
    private String businessId;

    /**
     * 业务类型
     * 1 入职申请小程序码
     */
    private Integer businessType;

    /**
     * 配置编号
     * 关联 {@link FileConfigDO#getId()}
     */
    private Long configId;

    /**
     * 文件链接
     */
    private String url;

    /**
     * 参数值
     */
    private String scene;
}
