package cn.iocoder.yudao.module.system.api.bank;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.api.bank.dto.BankRespDTO;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 银行卡")
public interface BankApi {

    String PREFIX = ApiConstants.PREFIX + "/bank";

    @GetMapping(PREFIX + "/get")
    @Operation(summary = "获得银行卡信息")
    @Parameter(name = "bankId", description = "编号", example = "1", required = true)
    CommonResult<BankRespDTO> getBank(@RequestParam("bankId") Long bankId);
}
