package cn.iocoder.yudao.module.system.api.equipment;

import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 用户拓展")
public interface UsersExtApi {

    String PREFIX = ApiConstants.PREFIX + "/attendance-machine";

    @PostMapping(PREFIX + "/create")
    @Operation(summary = "新增设备请求记录")
    void createUsersExt(@RequestParam("userId") Long userId,
                        @RequestParam("userName") String userName,
                        @RequestParam("deptId") Long deptId,
                        @RequestParam("faceImg") String faceImg);
}
