package cn.iocoder.yudao.module.system.api.equipment.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "RPC 服务 - 考勤设备更新 DTO")
@Data
public class AttendanceUpdateDTO {

    @Schema(description = "下发用户编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "下发用户编号不能为空")
    private List<Long> userId;

    @Schema(description = "设备号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "设备号不能为空")
    private String deviceNo;

    @Schema(description = "下发或删除 | 0下发， 1删除")
    private Integer method;
}
