package cn.iocoder.yudao.module.system.api.bank;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.module.system.api.bank.dto.BankRespDTO;
import cn.iocoder.yudao.module.system.dal.dataobject.bank.BankDO;
import cn.iocoder.yudao.module.system.service.bank.UserBankService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@Validated
public class BankApiImpl implements BankApi{

    @Resource
    private UserBankService userBankService;

    @Override
    public CommonResult<BankRespDTO> getBank(Long bankId) {

        BankDO bankDO = userBankService.getBank(bankId);
        return success(BeanUtils.toBean(bankDO, BankRespDTO.class));
    }
}
