package cn.iocoder.yudao.module.system.attendance;

import cn.hutool.json.JSONObject;
import lombok.Data;

/**
 * 功能描述
 *
 * @author: yj
 * @date: 2024年05月27日 10:48
 */
@Data
public class AttendanceBaseMessage {

    /**
     * 固定为 to_device
     */
    public final String cmd = AttendanceConstants.CMD_BASE;

    /**
     * 这个字段对设备来说没有任何作用，只是在响应指令时在 to 字段中附带回服务端。
     * 可以认为是 message id 的概念，一般是让服务端区分设备响应的是具体的哪一条消息，服务端没有用到的话可以为空字符
     */
    public String from ;

    /**
     * 字段非必填，这个字段和 from 一样对设备来说没有任何作用，
     * 只是在响应指令时原封不动的把 extra 的内容响应回去，服务端没有用到可以不传
     */
    public String extra ;

    /**
     * 目标的设备编号
     */
    public String to ;

    /**
     * 具体指令中的数据格式，每个指令都不一样
     */
    public JSONObject data;

//    public void setData(Object o) {
//        this.data = JsonUtils.toJsonString(o);
//    }
}
