package cn.iocoder.yudao.module.system.controller;

import cn.hutool.json.JSONObject;
import cn.iocoder.yudao.framework.common.exception.ServiceException;
import cn.iocoder.yudao.framework.tenant.core.context.TenantContextHolder;
import cn.iocoder.yudao.module.system.controller.admin.attendance.dto.AttendancePunchDTO;
import cn.iocoder.yudao.module.system.controller.admin.attendance.vo.AttendancePunchVO;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.group.AttendanceGroupDO;
import cn.iocoder.yudao.module.system.service.attendance.AttendanceService;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.annotation.security.PermitAll;

@Tag(name = "管理后台 - 资产")
@RestController
@RequestMapping("/api/v1")
@Validated
@Slf4j
public class AttendanceEquipmentController {
    @Resource
    private AttendanceService attendanceService;

    @PostMapping("/verify_user")
    @PermitAll
    public JSONObject verifyUser(@RequestBody JSONObject object) {
        TenantContextHolder.setTenantId(1L);
        // TODO: 2024/6/4 暂时写死
        JSONObject result = new JSONObject().set("Result", 0).set("Msg", "识别通过");
        JSONObject content = new JSONObject();
        content.set("voice_code", -2);
        result.set("Content", content);
        log.info("verifyUser: {}", object);
        try {
            String sn = object.getStr("sn");
            String userId = object.getStr("user_id");
            content.set("user_id", userId);
            AttendancePunchVO punch = attendanceService.punch(new AttendancePunchDTO()
                    .setUserId(Long.valueOf(userId))
                    .setPunchType(AttendanceGroupDO.PUNCH_TYPE_ATTENDANCE_MACHINE)
                    .setSn(sn));
            content.set("voice_text", punch.getStatus() == 0 ? "打卡成功" : (punch.getStatus() == 1 ? "迟到打卡成功" : "早退打卡成功"));
        } catch (ServiceException e) {
            content.set("voice_text", e.getMessage());
        } catch (Exception e) {
            content.set("voice_text", "系统错误");
        } finally {
            result.set("Content", content);
            return result;
        }
    }
}
