package cn.iocoder.yudao.module.system.controller.admin.addressgroup.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 考勤地址组子表 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceAddressGroupItemRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "2807")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "地址组id", example = "2502")
    @ExcelProperty("地址组id")
    private Long addressGroupId;

    @Schema(description = "经度")
    @ExcelProperty("经度")
    private String longitude;

    @Schema(description = "纬度")
    @ExcelProperty("纬度")
    private String latitude;

    @Schema(description = "范围（米）")
    @ExcelProperty("范围（米）")
    private Integer scope;

    @Schema(description = "地址")
    @ExcelProperty("地址")
    private String address;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
