package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 资产分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AssetsPageReqVO extends PageParam {

    @Schema(description = "资产名称", example = "赵六")
    private String name;

    @Schema(description = "资产编号")
    private String assetsNo;

    @Schema(description = "资产状态 -1无状态 0空闲 1使用中 2维修 3损坏 （资产类型按单件时候有意义）", example = "1")
    private Integer status;

    @Schema(description = "资产单位")
    private String util;

    @Schema(description = "资产价格")
    private BigDecimal amount;

    @Schema(description = "库存")
    private Integer stock;

    @Schema(description = "资产类型id", example = "5169")
    private Long typeId;

    @Schema(description = "其余信息(json)")
    private String itemJson;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "关键字 包含名称和编号")
    private String keyWord;

    @Schema(description = "是否过滤可分配 0否 1是 默认否")
    private Integer distributeFlag;

}