package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 资产新增/修改 Request VO")
@Data
public class AssetsSaveReqVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "30782")
    private Long id;

    @Schema(description = "资产名称", example = "赵六")
    private String name;

    @Schema(description = "资产编号")
    private String assetsNo;

    @Schema(description = "资产状态 -1无状态 0空闲 1使用中 2维修 3损坏 （资产类型按单件时候有意义）", example = "1")
    private Integer status;

    @Schema(description = "资产单位")
    private String util;

    @Schema(description = "资产价格")
    private BigDecimal amount;

    @Schema(description = "库存")
    private Integer stock;

    @Schema(description = "资产类型id", example = "5169")
    private Long typeId;

    @Schema(description = "其余信息(json)")
    private String itemJson;
}