package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 资产借调记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AssetsSecondmentRecordPageReqVO extends PageParam {

    @Schema(description = "资产id", example = "20093")
    private Long assetsId;

    @Schema(description = "资产名称", example = "13886")
    private String assetsName;

    @Schema(description = "使用人id", example = "12905")
    private Long useUserId;

    @Schema(description = "使用人部门id", example = "13729")
    private Long useDeptId;

    @Schema(description = "负责人id", example = "5479")
    private Long principalUserId;

    @Schema(description = "借调部门id", example = "13654")
    private Long secondmentDeptId;

    @Schema(description = "借调id", example = "20754")
    private Long assetSecondmentId;

    @Schema(description = "数量")
    private Integer num;

    @Schema(description = "状态 0领用 1归还", example = "1")
    private Integer status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}