package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 资产借调记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AssetsSecondmentRecordRespVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1505")
    @ExcelProperty("id")
    private Long id;

    @Schema(description = "资产id", example = "20093")
    @ExcelProperty("资产id")
    private Long assetsId;

    @Schema(description = "资产名称", example = "13886")
    @ExcelProperty("资产名称")
    private String assetsName;

    @Schema(description = "资产编号", example = "13886")
    @ExcelProperty("资产编号")
    private String assetsNo;

    @Schema(description = "使用人id", example = "12905")
    @ExcelProperty("使用人id")
    private Long useUserId;

    @Schema(description = "使用人名称", example = "12871")
    @ExcelProperty("使用人名称")
    private String useUserName;


    @Schema(description = "使用人部门id", example = "13729")
    @ExcelProperty("使用人部门id")
    private Long useDeptId;

    @Schema(description = "使用人部门名称", example = "12871")
    @ExcelProperty("使用人部门名称")
    private String useDeptName;


    @Schema(description = "负责人id", example = "5479")
    @ExcelProperty("负责人id")
    private Long principalUserId;

    @Schema(description = "负责人名称", example = "12871")
    @ExcelProperty("负责人名称")
    private String principalUserName;


    @Schema(description = "借调部门id", example = "13654")
    @ExcelProperty("借调部门id")
    private Long secondmentDeptId;

    @Schema(description = "借调id", example = "20754")
    @ExcelProperty("借调id")
    private Long assetSecondmentId;

    @Schema(description = "数量")
    @ExcelProperty("数量")
    private Integer num;

    @Schema(description = "状态 0领用 1归还", example = "1")
    @ExcelProperty("状态 0领用 1归还")
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "备注", example = "备注")
    @ExcelProperty("备注")
    private String remark;
}