package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 资产借调 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AssetsSecondmentRespVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "7090")
    @ExcelProperty("id")
    private Long id;

    @Schema(description = "资产id", example = "13886")
    @ExcelProperty("资产id")
    private Long assetsId;

    @Schema(description = "资产名称", example = "13886")
    @ExcelProperty("资产名称")
    private String assetsName;


    @Schema(description = "使用人id", example = "12871")
    @ExcelProperty("使用人id")
    private Long useUserId;

    @Schema(description = "使用人名称", example = "12871")
    @ExcelProperty("使用人名称")
    private String useUserName;

    @Schema(description = "使用人部门id", example = "130")
    @ExcelProperty("使用人部门id")
    private Long useDeptId;

    @Schema(description = "使用人部门名称", example = "12871")
    @ExcelProperty("使用人部门名称")
    private String useDeptName;

    @Schema(description = "负责人id", example = "8526")
    @ExcelProperty("负责人id")
    private Long principalUserId;

    @Schema(description = "负责人名称", example = "12871")
    @ExcelProperty("负责人名称")
    private String principalUserName;

    @Schema(description = "借调部门id", example = "11597")
    @ExcelProperty("借调部门id")
    private Long secondmentDeptId;

    @Schema(description = "数量")
    @ExcelProperty("数量")
    private Integer num;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}