package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 部门资产出入库分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DeptAssetsInOutStockPageReqVO extends PageParam {

    @Schema(description = "入库部门id  (系统入库则为null)", example = "2072")
    private Long inDeptId;

    @Schema(description = "出库部门id  (系统出库则为null)", example = "6081")
    private Long outDeptId;

    @Schema(description = "资产id", example = "1025")
    private Long assetsId;

    @Schema(description = "资产名称", example = "1025")
    private String assetsName;

    @Schema(description = "出入库数量")
    private Integer num;

    @Schema(description = "出入库编号")
    private String inOutNo;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}