package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 部门资产出入库 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DeptAssetsInOutStockRespVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "29567")
    @ExcelProperty("id")
    private Long id;

    @Schema(description = "入库部门id  (系统入库则为null)", requiredMode = Schema.RequiredMode.REQUIRED, example = "2072")
    @ExcelProperty("入库部门id  (系统入库则为null)")
    private Long inDeptId;

    @Schema(description = "出库部门id  (系统出库则为null)", requiredMode = Schema.RequiredMode.REQUIRED, example = "6081")
    @ExcelProperty("出库部门id  (系统出库则为null)")
    private Long outDeptId;

    @Schema(description = "资产id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1025")
    @ExcelProperty("资产id")
    private Long assetsId;

    @Schema(description = "出入库数量")
    @ExcelProperty("出入库数量")
    private Integer num;

    @Schema(description = "出入库编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("出入库编号")
    private String inOutNo;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "资产名称", example = "1025")
    private String assetsName;
}