package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 部门资产出入库新增/修改 Request VO")
@Data
public class DeptAssetsInOutStockSaveReqVO {
    @Schema(description = "入库部门id  (系统入库则为null)", requiredMode = Schema.RequiredMode.REQUIRED, example = "2072")
    private Long inDeptId = -1L;

    @Schema(description = "资产id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1025")
    @NotNull(message = "资产id不能为空")
    private Long assetsId;

    @Schema(description = "出入库数量")
    private Integer num;
}