package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 部门资产分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DeptAssetsPageReqVO extends PageParam {

    @Schema(description = "部门id", example = "103")
    private Long deptId;

    @Schema(description = "资产id", example = "15660")
    private Long assetsId;

    @Schema(description = "资产类型id", example = "5169")
    private Long typeId;

    @Schema(description = "资产状态 -1无状态 0空闲 1使用中 2维修 3损坏 （资产类型按单件时候有意义）", example = "2")
    private Integer status;

    @Schema(description = "库存")
    private Integer stock;

    @Schema(description = "是否过滤库存 0否 1是")
    private Integer filterStockFlag;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "资产名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "15660")
    @ExcelProperty("资产名称")
    private String assetsName;
}
