package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 部门资产 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DeptAssetsRespVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "30605")
    @ExcelProperty("id")
    private Long id;

    @Schema(description = "部门id", requiredMode = Schema.RequiredMode.REQUIRED, example = "103")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "部门名称")
    @ExcelProperty("部门名称")
    private String deptName;

    @Schema(description = "资产id", requiredMode = Schema.RequiredMode.REQUIRED, example = "15660")
    @ExcelProperty("资产id")
    private Long assetsId;

    @Schema(description = "资产状态 -1无状态 0空闲 1使用中 2维修 3损坏 （资产类型按单件时候有意义）", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("资产状态 -1无状态 0空闲 1使用中 2维修 3损坏 （资产类型按单件时候有意义）")
    private Integer status;

    @Schema(description = "库存", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("库存")
    private Integer stock;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "资产名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "15660")
    @ExcelProperty("资产名称")
    private String assetsName;

}