package cn.iocoder.yudao.module.system.controller.admin.assets.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 部门资产新增/修改 Request VO")
@Data
public class DeptAssetsSaveReqVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "30605")
    private Long id;

    @Schema(description = "部门id", requiredMode = Schema.RequiredMode.REQUIRED, example = "103")
    @NotNull(message = "部门id不能为空")
    private Long deptId;

    @Schema(description = "资产id", requiredMode = Schema.RequiredMode.REQUIRED, example = "15660")
    @NotNull(message = "资产id不能为空")
    private Long assetsId;

    @Schema(description = "资产状态 -1无状态 0空闲 1使用中 2维修 3损坏 （资产类型按单件时候有意义）", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotNull(message = "资产状态 -1无状态 0空闲 1使用中 2维修 3损坏 （资产类型按单件时候有意义）不能为空")
    private Integer status;

    @Schema(description = "库存", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "库存不能为空")
    private Integer stock;

}