package cn.iocoder.yudao.module.system.controller.admin.attendance.dto;

import cn.iocoder.yudao.module.system.dal.dataobject.attendance.group.AttendanceGroupDO;
import cn.iocoder.yudao.module.system.dal.dataobject.user.AdminUserDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.security.core.util.SecurityFrameworkUtils.getLoginUserId;

@Data
@Accessors(chain = true)
public class AttendancePunchPageDTO {

    @Schema(description = "经度")
    private String longitude;

    @Schema(description = "纬度")
    private String latitude;

    /**
     * 当前用户
     */
    private AdminUserDO user;

    /**
     * 当前用户id
     */
    private Long userId = getLoginUserId();
    /**
     * 打卡类型 1考勤机 2小程序范围打卡(默认)
     */
    private Integer punchType = AttendanceGroupDO.PUNCH_TYPE_MI_NI_APP;
    /**
     * 是否返回考勤组考勤班次信息
     */
    private Boolean flag = false;
    /**
     * 考勤组
     */
    private AttendanceGroupDO activationGroup;
    /**
     * 当前时间
     */
    private LocalDateTime localDateTime = LocalDateTime.now();
}
