package cn.iocoder.yudao.module.system.controller.admin.bank.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 用户银行卡信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class UserBankRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "3548")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "31665")
    private Long userId;

    @Schema(description = "银行卡用户名称", example = "芋艿")
    @ExcelProperty("银行卡用户名称")
    private String nickname;

    @Schema(description = "银行卡号")
    @ExcelProperty("银行卡号")
    private String bankNo;

    @Schema(description = "开户行信息", example = "赵六")
    @ExcelProperty("开户行信息")
    private String bankName;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}