package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.attendancemachine;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 设备密码修改 Request VO")
@Data
public class AttendanceMachinePasswordVO {

    @Schema(description = "设备号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "设备号不能为空")
    private String deviceNo;

    @Schema(description = "旧密码", requiredMode = Schema.RequiredMode.REQUIRED, example = "123456")
    @NotEmpty(message = "旧密码不能为空")
    @Length(min = 4, max = 16, message = "密码长度为 4-16 位")
    private String oldPassword;

    @Schema(description = "新密码", requiredMode = Schema.RequiredMode.REQUIRED, example = "654321")
    @NotEmpty(message = "新密码不能为空")
    @Length(min = 4, max = 16, message = "密码长度为 4-16 位")
    private String newPassword;
}
