package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.attendancemachine;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 考勤设备 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceMachineRespVO {

    @Schema(description = "设备id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("id")
    private Long id;

    @Schema(description = "资产ID", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long assetsId;

    @Schema(description = "资产编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("资产编号")
    private String assetsNo;

    @Schema(description = "设备号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("设备号")
    private String deviceNo;

    @Schema(description = "所属部门编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "128")
    private Long deptId;

    @Schema(description = "所属部门名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "研发部")
    @ExcelProperty("所属部门名称")
    private String deptName;

    @Schema(description = "设备名称", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("设备名称")
    private String deviceName;

    @Schema(description = "是否在线 | 0离线 1在线")
    private Integer isOnLine;
}