package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.attendancemachine;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 考勤设备状态修改 Request VO")
@Data
public class DeviceStatusUpdateVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "设备号", requiredMode = Schema.RequiredMode.REQUIRED)
    private String deviceNo;

    @Schema(description = "状态 | 0:离线 1:在线", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer status;

    @Schema(description = "请求时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime requestTime;

    public DeviceStatusUpdateVO() {
    }

    public DeviceStatusUpdateVO(Long id, String deviceNo, Integer status, LocalDateTime requestTime) {
        this.id = id;
        this.deviceNo = deviceNo;
        this.status = status;
        this.requestTime = requestTime;
    }
}
