package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.datasynchronousrecord;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 考勤机数据同步记录新增/修改 Request VO")
@Data
public class DataSynchronousRecordSaveReqVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "设备编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "设备编号不能为空")
    private String deviceNo;

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "146")
    @NotNull(message = "用户编号不能为空")
    private Long userId;

    @Schema(description = "下发结果", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "下发结果不能为空")
    private String result;

}