package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.userExt;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = false) // 设置 chain = false，避免用户导入有问题
@ExcelIgnoreUnannotated
public class UserExtImportVO {

    @Schema(description = "id", example = "1")
    private Long id;

    @Schema(description = "用户编号", example = "146")
    @ExcelProperty("用户编号")
    private Long userId;

    @Schema(description = "用户名称", example = "张三")
    @ExcelProperty("用户名称")
    private String userName;

    @Schema(description = "部门编号", example = "128")
    private Long deptId;

    @Schema(description = "部门名称", example = "研发部")
    @ExcelProperty("部门名称")
    private String deptName;

    @Schema(description = "人脸图片地址")
    @ExcelProperty("人脸图片")
    private byte[] faceFile;

    @Schema(description = "人脸图片地址")
    private String faceImg;

    @Schema(description = "绑定的考勤机设备号集合")
    private List<String> attendanceMachineNos;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;
}
