package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.userExt;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 用户信息拓展分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UsersExtPageReqVO extends PageParam {

    @Schema(description = "用户名称 | 用于模糊检索", example = "146")
    private String userName;

    @Schema(description = "部门编号", example = "128")
    private Long deptId;

    @Schema(description = "包括自己的所有子级部门编号", example = "128")
    private List<Long> deptIds;

    @Schema(description = "手机号")
    private String phoneNumber;

    @Schema(description = "是否录入人脸 | 0:未录入 1:已录入")
    private Integer isEnter;

    @Schema(description = "用户类型")
    private Integer userType;

    @Schema(description = "是否下发 | 0否 1是")
    private Integer isIssued;

    @Schema(description = "设备号集合")
    private List<String> deviceNos;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}