package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.userExt;

import cn.iocoder.yudao.framework.common.enums.CommonStatusEnum;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 用户信息拓展 Response VO")
@Data
@ExcelIgnoreUnannotated
public class UsersExtRespVO {

    @Schema(description = "id", example = "1")
    private Long id;

    @Schema(description = "用户编号", example = "146")
    @ExcelProperty("用户编号")
    private Long userId;

    @Schema(description = "用户名称", example = "张三")
    @ExcelProperty("用户名称")
    private String userName;

    @Schema(description = "部门编号", example = "128")
    private Long deptId;

    @Schema(description = "部门名称", example = "研发部")
    @ExcelProperty("部门名称")
    private String deptName;

    @Schema(description = "是否允许外勤打卡 0否 1是", example = "0")
    @ExcelProperty("是否允许外勤打卡")
    private Integer fieldworkFlag;

    @Schema(description = "人脸图片地址")
    @ExcelProperty("人脸图片")
    private String faceImg;

    @Schema(description = "绑定的考勤机设备号")
    private String attendanceMachineNos;

    @Schema(description = "绑定的考勤机设备号集合")
    private List<String> devices;

    @Schema(description = "下发结果")
    private String result;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

}
