package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.userExt;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "管理后台 - 用户信息拓展新增/修改 Request VO")
@Data
public class UsersExtSaveReqVO {

    @Schema(description = "id", example = "1")
    private Long id;

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "146")
    @NotNull(message = "用户编号不能为空")
    private Long userId;

    @Schema(description = "部门编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "128")
    @NotNull(message = "部门编号不能为空")
    private Long deptId;

    @Schema(description = "工种类型 | 字典值 参考user_work_type")
    private Integer workType;

    @Schema(description = "图片地址")
    private String faceImg;

    @Schema(description = "绑定的考勤机设备号集合")
    private List<String> attendanceMachineNos;

}