package cn.iocoder.yudao.module.system.controller.admin.fixed.vo;

import cn.iocoder.yudao.module.system.controller.admin.groupshift.vo.AttendanceGroupShiftRespVO;
import cn.iocoder.yudao.module.system.controller.admin.groupshift.vo.AttendanceGroupShiftVO;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 固定班制考勤设置 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceFixedRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "23824")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "考勤组id", example = "19908")
    @ExcelProperty("考勤组id")
    private Long attendanceGroupId;

    @Schema(description = "周时间 1-7")
    @ExcelProperty("周时间 1-7")
    private Integer weekTime;

    @Schema(description = "班次id", example = "16385")
    @ExcelProperty("班次id")
    private Long attendanceGroupShiftId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "班次对象", example = "16385")
    @ExcelProperty("班次对象")
    private AttendanceGroupShiftVO shiftVO;

}