package cn.iocoder.yudao.module.system.controller.admin.group.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 考勤组新增/修改 Request VO")
@Data
public class AttendanceGroupSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "22881")
    private Long id;

    @Schema(description = "考勤组管理员ids", example = "15633")
    private String userIds;

    @Schema(description = "群组名称", example = "李四")
    private String groupName;

    @Schema(description = "考勤类型 1固定班制 2排班制", example = "1")
    private Integer type;

    @Schema(description = "打卡类型 1考勤机 2小程序范围打卡", example = "2")
    private Integer punchType;

    @Schema(description = "经度")
    private String longitude;

    @Schema(description = "纬度")
    private String latitude;

    @Schema(description = "地址")
    private String address;

    @Schema(description = "范围（米）")
    private Integer scope;

    @Schema(description = "是否允许外勤打卡 0否 1是")
    private Integer fieldworkFlag;

    @Schema(description = "节假日自动排休 0否 1是")
    private Integer autoHolidaysFlag;

    @Schema(description = "可补卡次数(每个月1号凌晨重置 默认3次)")
    private Integer replacementCardNum;

    @Schema(description = "考勤地址组ids 逗号隔开")
    private String addressGroupIds;
}
