package cn.iocoder.yudao.module.system.controller.admin.groupshiftitem.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 考勤组班次子表 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceGroupShiftItemRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "957")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "班次id", example = "22909")
    @ExcelProperty("班次id")
    private Long kqAttendanceGroupShiftId;

    @Schema(description = "级别 从1到～ 排序用")
    @ExcelProperty("级别 从1到～ 排序用")
    private Integer level;

    @Schema(description = "开始打卡时间")
    @ExcelProperty("开始打卡时间")
    private String beginTime;

    @Schema(description = "结束打卡时间")
    @ExcelProperty("结束打卡时间")
    private String endTime;

    @Schema(description = "是否必须 0否 1是 (如果不是必须系统会自动打卡)")
    @ExcelProperty("是否必须 0否 1是 (如果不是必须系统会自动打卡)")
    private Integer mustFlag;

    @Schema(description = "是否次日(开始时间 大于 结束时间)跨天 0否 1是")
    @ExcelProperty("是否次日(开始时间 大于 结束时间)跨天 0否 1是")
    private Integer nextDayFlag;

    @Schema(description = "上班前打卡时间（分钟） 默认 120分钟")
    @ExcelProperty("上班前打卡时间（分钟） 默认 120分钟")
    private Integer beforePunchTimeUpWork;

    @Schema(description = "上班后打卡时间（分钟） 默认 120分钟")
    @ExcelProperty("上班后打卡时间（分钟） 默认 120分钟")
    private Integer afterPunchTimeUpWork;

    @Schema(description = "下班前打卡时间（分钟） 默认 120分钟")
    @ExcelProperty("下班前打卡时间（分钟） 默认 120分钟")
    private Integer beforePunchTimeDownWork;

    @Schema(description = "下班后打卡时间（分钟） 默认 120分钟")
    @ExcelProperty("下班后打卡时间（分钟） 默认 120分钟")
    private Integer afterPunchTimeDownWork;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}