package cn.iocoder.yudao.module.system.controller.admin.notice.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Set;

@Schema(description = "公告推送信息 Response VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NoticePushReqVO {

    @Schema(description = "公告编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "11")
    private Long id;

    @Schema(description = "推送类型 | 0:全员 1:部门 2:用户组", requiredMode = Schema.RequiredMode.REQUIRED, example = "0")
    private Integer type;

    @Schema(description = "推送部门编号")
    private List<Long> deptIds;

    @Schema(description = "推送用户组编号")
    private Set<Long> groupId;
}
