package cn.iocoder.yudao.module.system.controller.admin.user.vo.factoryUser;

import cn.iocoder.yudao.framework.common.validation.IdCard;
import cn.iocoder.yudao.framework.common.validation.Mobile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 工厂用户创建/修改 Request VO")
@Data
public class FactoryUserSaveReqVO {

    @Schema(description = "用户编号", example = "146")
    private Long id;

    @Schema(description = "用户名称", example = "张三")
    private String nickname;

    @Schema(description = "工厂ID", example = "1000009")
    private Long factoryId;

    @Schema(description = "手机号码", example = "15601691300")
    @Mobile
    private String mobile;

    @Schema(description = "身份证号码")
    @IdCard
    private String idcard;

    @Schema(description = "工种 | 字典值 参考user_work_type")
    private Integer workType;

    @Schema(description = "人脸图片url")
    private String faceImg;
}
