package cn.iocoder.yudao.module.system.controller.admin.worklog.dto.statistics;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.*;

@Data
public class NeedWriteHistoryDTO {

    @Schema(description = "模板编号")
    private Long formId;

    @Schema(description = "类型 1日报 2周报")
    private Integer type;

    @Schema(description = "开始时间 格式yyyy-MM-dd")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY, timezone = TIME_ZONE_DEFAULT)
    private Date beginTime;

    @Schema(description = "结束时间 格式yyyy-MM-dd")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY, timezone = TIME_ZONE_DEFAULT)
    private Date endTime;

    @Schema(description = "当前用户id", hidden = true)
    private Long userId;
}
