package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.loginstance;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 日志实例的拓展分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LogInstancePageReqVO extends PageParam {

    @Schema(description = "发起日志的用户编号", example = "24292")
    private Long startUserId;

    @Schema(description = "日志发起人的部门编号", example = "24292")
    private Long deptId;

    @Schema(description = "日志实例的名字", example = "张三的XX日报")
    private String name;

    @Schema(description = "日志类型 字典值 详情参考work_log_type", example = "2")
    private Integer type;

    @Schema(description = "模板编号", example = "11857")
    private Long formId;

    @Schema(description = "模板值")
    private String formVariables;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "已读、未读 | 0：未读、1：已读", example = "0")
    private Integer readStatus;

    @Schema(description = "查询所有领导人日志 ||判断老板角色，是则传参，不是则不传；如要查询全部分页也不传", example = "0")
    private Integer isBoss;
}