package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.rule;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 日志规则 Response VO")
@Data
@ExcelIgnoreUnannotated
public class LogRuleRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "21181")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "日志模板编号", example = "2")
    private Long formId;

    @Schema(description = "日志类型 字典值 详情参考work_log_type", example = "2")
    @ExcelProperty("日志类型")
    private Integer type;

    @Schema(description = "日报情况，需提交的日期")
    @ExcelProperty("日报情况，需提交的日期")
    private String weekDays;

    @Schema(description = "提交开始时间段")
    @ExcelProperty("提交开始时间段")
    private String startTime;

    @Schema(description = "提交结束时间段")
    @ExcelProperty("提交结束时间段")
    private String endTime;

    @Schema(description = "提醒时间(小时)")
    @ExcelProperty("提醒时间(小时)")
    private Integer remindTime;

    @Schema(description = "统计时间段")
    @ExcelProperty("统计时间段")
    private String statisticalTime;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}