package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.statistics;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.TIME_ZONE_DEFAULT;

@Data
public class LogStatisticsDetailsVO {
    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "名称")
    private String nickname;

    @Schema(description = "头像")
    private String avatar;

    @Schema(description = "部门id")
    private Long deptId;

    @Schema(description = "部门名称")
    private String deptName;

    @Schema(description = "日志id", example = "30875")
    private Long logInstanceExtId;

    @Schema(description = "日志类型 1日报 2周报", example = "1")
    @ExcelProperty("日志类型 1日报 2周报")
    private Integer type;

    @Schema(description = "提交状态 1按时提交 2迟交 3未提交", example = "2")
    private Integer status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND, timezone = TIME_ZONE_DEFAULT)
    private Date createTime;
}

