package cn.iocoder.yudao.module.system.dal.dataobject.assets;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 资产 DO
 *
 * @author 艾楷
 */
@TableName("zc_assets")
@KeySequence("zc_assets_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AssetsDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 资产名称
     */
    private String name;
    /**
     * 资产编号
     */
    private String assetsNo;
    /**
     * 资产状态 -1无状态 0空闲 1使用中 2维修 3损坏 （资产类型按单件时候有意义）
     */
    private Integer status;
    /**
     * 资产单位
     */
    private String util;
    /**
     * 资产价格
     */
    private BigDecimal amount;
    /**
     * 库存
     */
    private Integer stock;
    /**
     * 资产类型id
     */
    private Long typeId;
    /**
     * 其余信息(json)
     */
    private String itemJson;

    /**
     * 资产类型 0按量 1按单件
     */
    @TableField(exist = false)
    private Integer type;
}