package cn.iocoder.yudao.module.system.dal.dataobject.assets;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 资产借调 DO
 *
 * @author 艾楷
 */
@TableName("zc_assets_secondment")
@KeySequence("zc_assets_secondment_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AssetsSecondmentDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 资产id
     */
    private Long assetsId;
    /**
     * 使用人id
     */
    private Long useUserId;
    /**
     * 使用人部门id
     */
    private Long useDeptId;
    /**
     * 负责人id
     */
    private Long principalUserId;
    /**
     * 借调部门id
     */
    private Long secondmentDeptId;

    /**
     * 数量
     */
    private Integer num;

    /**
     * 备注
     */

    private String remark;

}