    package cn.iocoder.yudao.module.system.dal.dataobject.assets;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 资产借调记录 DO
 *
 * @author 艾楷
 */
@TableName("zc_assets_secondment_record")
@KeySequence("zc_assets_secondment_record_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AssetsSecondmentRecordDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 资产id
     */
    private Long assetsId;
    /**
     * 使用人id
     */
    private Long useUserId;
    /**
     * 使用人部门id
     */
    private Long useDeptId;
    /**
     * 负责人id
     */
    private Long principalUserId;
    /**
     * 借调部门id
     */
    private Long secondmentDeptId;
    /**
     * 借调id
     */
    private Long assetSecondmentId;
    /**
     * 数量
     */
    private Integer num;
    /**
     * 备注
     */
    private String remark;
    /**
     * 状态 0领用 1归还
     */
    private Integer status;

}