package cn.iocoder.yudao.module.system.dal.dataobject.assets;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 部门资产出入库 DO
 *
 * @author 艾楷
 */
@TableName("zc_dept_assets_in_out_stock")
@KeySequence("zc_dept_assets_in_out_stock_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DeptAssetsInOutStockDO extends BaseDO {
    //出入库状态 0入库 1出库
    public static final Integer STATUS_IN = 0;
    public static final Integer STATUS_OUT = 1;

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 入库部门id  (系统入库则为null)
     */
    private Long inDeptId;
    /**
     * 出库部门id  (系统出库则为null)
     */
    private Long outDeptId;
    /**
     * 资产id
     */
    private Long assetsId;
    /**
     * 出入库数量
     */
    private Integer num;
    /**
     * 出入库编号
     */
    private String inOutNo;

    /**
     * 出入库 0入库 1出库
     */
    @TableField(exist = false)
    private Integer type;

    /**
     * 关系部门id
     */
    @TableField(exist = false)
    private Long deptId;
}