package cn.iocoder.yudao.module.system.dal.dataobject.attendance.addressgroup;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 考勤地址组子表 DO
 *
 * @author 艾楷
 */
@TableName("kq_attendance_address_group_item")
@KeySequence("kq_attendance_address_group_item_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceAddressGroupItemDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 地址组id
     */
    private Long addressGroupId;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 范围（米）
     */
    private Integer scope;
    /**
     * 地址
     */
    private String address;

}
