package cn.iocoder.yudao.module.system.dal.dataobject.attendance.fixed;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 固定班制考勤设置 DO
 *
 * @author 艾楷
 */
@TableName("kq_attendance_fixed")
@KeySequence("kq_attendance_fixed_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceFixedDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 考勤组id
     */
    private Long attendanceGroupId;
    /**
     * 周时间 1-7
     */
    private Integer weekTime;
    /**
     * 班次id（为空表示休息）
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long attendanceGroupShiftId;

}