package cn.iocoder.yudao.module.system.dal.dataobject.attendance.groupshift;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 考勤组班次 DO
 *
 * @author 艾楷
 */
@TableName("kq_attendance_group_shift")
@KeySequence("kq_attendance_group_shift_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceGroupShiftDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 班次名称
     */
    private String name;
    /**
     * 是否次日(开始时间 大于 结束时间)跨天 0否 1是
     */
    private Integer nextDayFlag;
}