package cn.iocoder.yudao.module.system.dal.dataobject.attendance.groupshiftitem;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 考勤组班次子表 DO
 *
 * @author 艾楷
 */
@TableName("kq_attendance_group_shift_item")
@KeySequence("kq_attendance_group_shift_item_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceGroupShiftItemDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 班次id
     */
    private Long kqAttendanceGroupShiftId;
    /**
     * 班次名称
     */
    @TableField(exist = false)
    private String kqAttendanceGroupShiftName;
    /**
     * 级别 从1到～ 排序用
     */
    private Integer level;
    /**
     * 开始打卡时间 HH:mm
     */
    private String beginTime;
    /**
     * 结束打卡时间 HH:mm
     */
    private String endTime;
    /**
     * 是否必须 0否 1是 (如果不是必须系统会自动打卡)
     */
    private Integer mustFlag;
    /**
     * 是否次日(开始时间 大于 结束时间)跨天 0否 1跨天 2结束时间跨天
     */
    private Integer nextDayFlag;
    /**
     * 上班前打卡时间（分钟） 默认 120分钟
     */
    private Integer beforePunchTimeUpWork;
    /**
     * 上班后打卡时间（分钟） 默认 120分钟
     */
    private Integer afterPunchTimeUpWork;
    /**
     * 下班前打卡时间（分钟） 默认 120分钟
     */
    private Integer beforePunchTimeDownWork;
    /**
     * 下班后打卡时间（分钟） 默认 120分钟
     */
    private Integer afterPunchTimeDownWork;

}