package cn.iocoder.yudao.module.system.dal.dataobject.bank;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 管理后台的用户银行卡信息 DO
 */
@TableName(value = "system_bank", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BankDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;

    /**
     * 银行卡用户名称
     */
    private String nickname;

    /**
     * 银行卡号
     */
    private String bankNo;

    /**
     * 开户行信息
     */
    private String bankName;
}
