package cn.iocoder.yudao.module.system.dal.dataobject.equipment;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 考勤设备 DO
 *
 * @author 符溶馨
 */
@TableName("kq_attendance_machine")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceMachineDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 资产ID
     */
    private Long assetsId;
    /**
     * 资产编号
     */
    private String assetsNo;
    /**
     * 设备号
     */
    private String deviceNo;
    /**
     * 所属部门编号
     */
    private Long deptId;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 设备密码
     */
    private String password;

    /**
     * 设备状态
     * 0离线  1在线
     */
    private Integer status;

    /**
     * 请求时间
     */
    private LocalDateTime requestTime;
}