package cn.iocoder.yudao.module.system.dal.dataobject.equipment;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.*;

import java.util.List;

/**
 * 用户信息拓展 DO
 *
 * @author 符溶馨
 */
@TableName(value = "system_users_ext", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UsersExtDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;

    /**
     * 用户编号
     */
    private Long userId;

    /**
     * 部门编号
     */
    private Long deptId;

    /**
     * 工种编号 字典值 参考 user_work_type
     * （针对工厂用户）
     */
    private Integer workType;

    /**
     * 人脸图片
     */
    private String faceImg;

    /**
     * 绑定的考勤机设备号集合
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<String> attendanceMachineNos;

}