package cn.iocoder.yudao.module.system.dal.mysql.assets;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.assets.dto.AssetsChangeDTO;
import cn.iocoder.yudao.module.system.controller.admin.assets.vo.DeptAssetsLittleVO;
import cn.iocoder.yudao.module.system.controller.admin.assets.vo.DeptAssetsPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.assets.vo.DeptAssetsRespVO;
import cn.iocoder.yudao.module.system.dal.dataobject.assets.DeptAssetsDO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 部门资产 Mapper
 *
 * @author 艾楷
 */
@Mapper
public interface DeptAssetsMapper extends BaseMapperX<DeptAssetsDO> {

    default PageResult<DeptAssetsDO> selectPage(DeptAssetsPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DeptAssetsDO>()
                .eqIfPresent(DeptAssetsDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(DeptAssetsDO::getAssetsId, reqVO.getAssetsId())
                .eqIfPresent(DeptAssetsDO::getStatus, reqVO.getStatus())
                .eqIfPresent(DeptAssetsDO::getStock, reqVO.getStock())
                .betweenIfPresent(DeptAssetsDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(DeptAssetsDO::getId));
    }

    /**
     * 根据资产ids 和出库部门
     *
     * @param assetsIds
     * @param deptId
     * @return
     */
    List<AssetsChangeDTO> selectAssetsChangeByIds(@Param("assetsIds") List<Long> assetsIds, @Param("deptId") Long deptId);

    /**
     * 部门资产列表
     *
     * @param pageReqVO
     * @param page
     * @return
     */
    IPage<DeptAssetsRespVO> getDeptAssetsPage(@Param("vo") DeptAssetsPageReqVO pageReqVO, @Param("page") Page<Object> page);

    /**
     * 部门资产列表 获取一点
     * @param pageReqVO
     * @param objectPage
     * @return
     */
    IPage<DeptAssetsLittleVO> deptAssetsLittlePage(@Param("vo") DeptAssetsPageReqVO pageReqVO, @Param("page") Page<Object> objectPage);
}