package cn.iocoder.yudao.module.system.dal.mysql.attendance.groupsystem;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.system.controller.admin.groupsystem.vo.AttendanceGroupSystemRespVO;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.group.AttendanceGroupDO;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.groupsystem.AttendanceGroupSystemDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 考勤组 Mapper
 *
 * @author 艾楷
 */
@Mapper
public interface AttendanceGroupSystemMapper extends BaseMapperX<AttendanceGroupSystemDO> {
    /**
     * 根据考勤组id查询考勤组管理员
     *
     * @param groupId
     * @return
     */
    List<AttendanceGroupSystemRespVO> getGroupSystemVoByGroupId(@Param("groupId") Long groupId);

    /**
     * 获取用户管理的考勤组
     *
     * @param userId
     * @return
     */
    List<AttendanceGroupDO> getGroupSystemByUserId(@Param("userId") Long userId);
}
