package cn.iocoder.yudao.module.system.service.assets;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.system.controller.admin.assets.vo.*;
import cn.iocoder.yudao.module.system.dal.dataobject.assets.AssetsSecondmentRecordDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 资产借调记录 Service 接口
 *
 * @author 艾楷
 */
public interface AssetsSecondmentRecordService {

    /**
     * 创建资产借调记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createAssetsSecondmentRecord(@Valid AssetsSecondmentRecordSaveReqVO createReqVO);

    /**
     * 更新资产借调记录
     *
     * @param updateReqVO 更新信息
     */
    void updateAssetsSecondmentRecord(@Valid AssetsSecondmentRecordSaveReqVO updateReqVO);

    /**
     * 删除资产借调记录
     *
     * @param id 编号
     */
    void deleteAssetsSecondmentRecord(Long id);

    /**
     * 获得资产借调记录
     *
     * @param id 编号
     * @return 资产借调记录
     */
    AssetsSecondmentRecordDO getAssetsSecondmentRecord(Long id);

    /**
     * 获得资产借调记录分页
     *
     * @param pageReqVO 分页查询
     * @return 资产借调记录分页
     */
    PageResult<AssetsSecondmentRecordRespVO> getAssetsSecondmentRecordPage(AssetsSecondmentRecordPageReqVO pageReqVO);

}