package cn.iocoder.yudao.module.system.service.assets;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.assets.dto.RestorationDTO;
import cn.iocoder.yudao.module.system.controller.admin.assets.vo.AssetsSecondmentPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.assets.vo.AssetsSecondmentRespVO;
import cn.iocoder.yudao.module.system.controller.admin.assets.vo.AssetsSecondmentSaveReqVO;
import cn.iocoder.yudao.module.system.controller.admin.assets.vo.DeptAssetsInOutStockVO;
import cn.iocoder.yudao.module.system.dal.dataobject.assets.AssetsSecondmentDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 资产借调 Service 接口
 *
 * @author 艾楷
 */
public interface AssetsSecondmentService {

    /**
     * 创建资产借调
     *
     * @param vos 创建信息
     * @return 编号
     */
    DeptAssetsInOutStockVO createAssetsSecondment(Long secondmentDeptId, List<AssetsSecondmentSaveReqVO> vos);

    /**
     * 更新资产借调
     *
     * @param updateReqVO 更新信息
     */
    void updateAssetsSecondment(@Valid AssetsSecondmentSaveReqVO updateReqVO);

    /**
     * 删除资产借调
     *
     * @param id 编号
     */
    void deleteAssetsSecondment(Long id);

    /**
     * 获得资产借调
     *
     * @param id 编号
     * @return 资产借调
     */
    AssetsSecondmentDO getAssetsSecondment(Long id);

    /**
     * 获得资产借调分页
     *
     * @param pageReqVO 分页查询
     * @return 资产借调分页
     */
    PageResult<AssetsSecondmentRespVO> getAssetsSecondmentPage(AssetsSecondmentPageReqVO pageReqVO);

    /**
     * 借调归还
     *
     * @param dto
     */
    void restoration(RestorationDTO dto);

}