package cn.iocoder.yudao.module.system.service.assets;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.assets.vo.DeptAssetsLittleVO;
import cn.iocoder.yudao.module.system.controller.admin.assets.vo.DeptAssetsPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.assets.vo.DeptAssetsRespVO;
import cn.iocoder.yudao.module.system.controller.admin.assets.vo.DeptAssetsSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.assets.DeptAssetsDO;

import javax.validation.Valid;

/**
 * 部门资产 Service 接口
 *
 * @author 艾楷
 */
public interface DeptAssetsService {

    /**
     * 创建部门资产
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDeptAssets(@Valid DeptAssetsSaveReqVO createReqVO);

    /**
     * 更新部门资产
     *
     * @param updateReqVO 更新信息
     */
    void updateDeptAssets(@Valid DeptAssetsSaveReqVO updateReqVO);

    /**
     * 删除部门资产
     *
     * @param id 编号
     */
    void deleteDeptAssets(Long id);

    /**
     * 获得部门资产
     *
     * @param id 编号
     * @return 部门资产
     */
    DeptAssetsDO getDeptAssets(Long id);

    /**
     * 获得部门资产分页
     *
     * @param pageReqVO 分页查询
     * @return 部门资产分页
     */
    PageResult<DeptAssetsRespVO> getDeptAssetsPage(DeptAssetsPageReqVO pageReqVO);

    /**
     * 获取列表（一点数据）
     *
     * @param pageReqVO
     * @return
     */
    PageResult<DeptAssetsLittleVO> deptAssetsLittlePage(DeptAssetsPageReqVO pageReqVO);
}