package cn.iocoder.yudao.module.system.service.attendance.addressgroup;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.addressgroup.vo.AttendanceAddressGroupItemPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.addressgroup.vo.AttendanceAddressGroupItemSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.addressgroup.AttendanceAddressGroupItemDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 考勤地址组子表 Service 接口
 *
 * @author 艾楷
 */
public interface AttendanceAddressGroupItemService {

    /**
     * 创建考勤地址组子表
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createAttendanceAddressGroupItem(@Valid AttendanceAddressGroupItemSaveReqVO createReqVO);

    /**
     * 更新考勤地址组子表
     *
     * @param updateReqVO 更新信息
     */
    void updateAttendanceAddressGroupItem(@Valid AttendanceAddressGroupItemSaveReqVO updateReqVO);

    /**
     * 删除考勤地址组子表
     *
     * @param id 编号
     */
    void deleteAttendanceAddressGroupItem(Long id);

    /**
     * 获得考勤地址组子表
     *
     * @param id 编号
     * @return 考勤地址组子表
     */
    AttendanceAddressGroupItemDO getAttendanceAddressGroupItem(Long id);

    /**
     * 获得考勤地址组子表分页
     *
     * @param pageReqVO 分页查询
     * @return 考勤地址组子表分页
     */
    PageResult<AttendanceAddressGroupItemDO> getAttendanceAddressGroupItemPage(AttendanceAddressGroupItemPageReqVO pageReqVO);

    /**
     * 根据分组ids获取列表
     *
     * @param addressGroupIdList
     * @return
     */
    List<AttendanceAddressGroupItemDO> setListByAddressGroupIds(List<Long> addressGroupIdList);
}
