package cn.iocoder.yudao.module.system.service.attendance.addressgroup;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.addressgroup.vo.AttendanceAddressGroupPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.addressgroup.vo.AttendanceAddressGroupSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.addressgroup.AttendanceAddressGroupDO;

import javax.validation.Valid;

/**
 * 考勤地址组 Service 接口
 *
 * @author 艾楷
 */
public interface AttendanceAddressGroupService {

    /**
     * 创建考勤地址组
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createAttendanceAddressGroup(@Valid AttendanceAddressGroupSaveReqVO createReqVO);

    /**
     * 更新考勤地址组
     *
     * @param updateReqVO 更新信息
     */
    void updateAttendanceAddressGroup(@Valid AttendanceAddressGroupSaveReqVO updateReqVO);

    /**
     * 删除考勤地址组
     *
     * @param id 编号
     */
    void deleteAttendanceAddressGroup(Long id);

    /**
     * 获得考勤地址组
     *
     * @param id 编号
     * @return 考勤地址组
     */
    AttendanceAddressGroupDO getAttendanceAddressGroup(Long id);

    /**
     * 获得考勤地址组分页
     *
     * @param pageReqVO 分页查询
     * @return 考勤地址组分页
     */
    PageResult<AttendanceAddressGroupDO> getAttendanceAddressGroupPage(AttendanceAddressGroupPageReqVO pageReqVO);

}
