package cn.iocoder.yudao.module.system.service.attendance.addressgroup;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.module.system.controller.admin.addressgroup.vo.AttendanceAddressGroupPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.addressgroup.vo.AttendanceAddressGroupSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.addressgroup.AttendanceAddressGroupDO;
import cn.iocoder.yudao.module.system.dal.mysql.attendance.addressgroup.AttendanceAddressGroupMapper;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;

/**
 * 考勤地址组 Service 实现类
 *
 * @author 艾楷
 */
@Service
@Validated
public class AttendanceAddressGroupServiceImpl implements AttendanceAddressGroupService {

    @Resource
    private AttendanceAddressGroupMapper attendanceAddressGroupMapper;

    @Override
    public Long createAttendanceAddressGroup(AttendanceAddressGroupSaveReqVO createReqVO) {
        // 插入
        AttendanceAddressGroupDO attendanceAddressGroup = BeanUtils.toBean(createReqVO, AttendanceAddressGroupDO.class);
        attendanceAddressGroupMapper.insert(attendanceAddressGroup);
        // 返回
        return attendanceAddressGroup.getId();
    }

    @Override
    public void updateAttendanceAddressGroup(AttendanceAddressGroupSaveReqVO updateReqVO) {
        // 更新
        AttendanceAddressGroupDO updateObj = BeanUtils.toBean(updateReqVO, AttendanceAddressGroupDO.class);
        attendanceAddressGroupMapper.updateById(updateObj);
    }

    @Override
    public void deleteAttendanceAddressGroup(Long id) {
        // 删除
        attendanceAddressGroupMapper.deleteById(id);
    }

    @Override
    public AttendanceAddressGroupDO getAttendanceAddressGroup(Long id) {
        return attendanceAddressGroupMapper.selectById(id);
    }

    @Override
    public PageResult<AttendanceAddressGroupDO> getAttendanceAddressGroupPage(AttendanceAddressGroupPageReqVO pageReqVO) {
        return attendanceAddressGroupMapper.selectPage(pageReqVO);
    }

}
