package cn.iocoder.yudao.module.system.service.attendance.groupshiftitem;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.groupshiftitem.vo.AttendanceGroupShiftItemPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.groupshiftitem.vo.AttendanceGroupShiftItemSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.groupshiftitem.AttendanceGroupShiftItemDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 考勤组班次子表 Service 接口
 *
 * @author 艾楷
 */
public interface AttendanceGroupShiftItemService {

    /**
     * 创建考勤组班次子表
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createAttendanceGroupShiftItem(@Valid AttendanceGroupShiftItemSaveReqVO createReqVO);

    /**
     * 更新考勤组班次子表
     *
     * @param updateReqVO 更新信息
     */
    void updateAttendanceGroupShiftItem(@Valid AttendanceGroupShiftItemSaveReqVO updateReqVO);

    /**
     * 删除考勤组班次子表
     *
     * @param id 编号
     */
    void deleteAttendanceGroupShiftItem(Long id);

    /**
     * 获得考勤组班次子表
     *
     * @param id 编号
     * @return 考勤组班次子表
     */
    AttendanceGroupShiftItemDO getAttendanceGroupShiftItem(Long id);

    /**
     * 获得考勤组班次子表分页
     *
     * @param pageReqVO 分页查询
     * @return 考勤组班次子表分页
     */
    PageResult<AttendanceGroupShiftItemDO> getAttendanceGroupShiftItemPage(AttendanceGroupShiftItemPageReqVO pageReqVO);

    /**
     * 通过班次id获取班次列表 (按级别升序)
     *
     * @param attendanceGroupShiftId
     * @return
     */
    List<AttendanceGroupShiftItemDO> getGroupShiftItemListByShiftId(Long attendanceGroupShiftId);

    /**
     * 通过班次id获取班次列表 (按级别升序)
     *
     * @param attendanceGroupShiftIds
     * @return
     */
    List<AttendanceGroupShiftItemDO> getGroupShiftItemListByShiftIds(List<Long> attendanceGroupShiftIds);
}