package cn.iocoder.yudao.module.system.service.attendance.groupsystem;

import cn.iocoder.yudao.module.system.controller.admin.groupsystem.vo.AttendanceGroupSystemRespVO;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.group.AttendanceGroupDO;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.groupsystem.AttendanceGroupSystemDO;

import java.util.List;

/**
 * 考勤组管理员表 Service 接口
 *
 * @author 艾楷
 */
public interface AttendanceGroupSystemService {
    /**
     * 批量新增/修改考勤组管理员
     *
     * @param userIds
     * @param groupId
     */
    void batchCreateOrUpdate(String userIds, Long groupId);

    /**
     * 根据考勤组id获取考勤组管理员
     *
     * @param groupId
     * @return
     */
    List<AttendanceGroupSystemDO> getGroupSystemByGroupId(Long groupId);

    /**
     * 根据考勤组id删除
     *
     * @param groupId
     */
    void delByGroupId(Long groupId);

    /**
     * 根据考勤组id获取考勤管理员
     *
     * @param groupId
     * @return
     */
    List<AttendanceGroupSystemRespVO> getGroupSystemVoByGroupId(Long groupId);

    /**
     * 获取用户管理的考勤组
     *
     * @param userId
     * @return
     */
    List<AttendanceGroupDO> getGroupSystemByUserId(Long userId);
}
