package cn.iocoder.yudao.module.system.service.equipment;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.equipment.vo.datasynchronousrecord.DataSynchronousRecordPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.equipment.vo.datasynchronousrecord.DataSynchronousRecordSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.equipment.DataSynchronousRecordDO;

import javax.validation.Valid;

/**
 * 考勤机数据同步记录 Service 接口
 *
 * @author 符溶馨
 */
public interface DataSynchronousRecordService {

    /**
     * 创建考勤机数据同步记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDataSynchronousRecord(@Valid DataSynchronousRecordSaveReqVO createReqVO);

    /**
     * 获得考勤机数据同步记录
     *
     * @param id 编号
     * @return 考勤机数据同步记录
     */
    DataSynchronousRecordDO getDataSynchronousRecord(Long id);

    /**
     * 获得考勤机数据同步记录分页
     *
     * @param pageReqVO 分页查询
     * @return 考勤机数据同步记录分页
     */
    PageResult<DataSynchronousRecordDO> getDataSynchronousRecordPage(DataSynchronousRecordPageReqVO pageReqVO);

}