package cn.iocoder.yudao.module.system.service.equipment;

import cn.iocoder.yudao.module.system.dal.dataobject.equipment.DistributeRecordDO;

import javax.validation.Valid;
import java.util.Collection;
import java.util.List;

/**
 * 考勤机下发记录 Service 接口
 *
 * @author 符溶馨
 */
public interface DistributeRecordService {

    /**
     * 创建考勤机下发记录
     *
     * @param createReqVO 创建信息
     */
    void createDistributeRecord(@Valid List<DistributeRecordDO> createReqVO);

    /**
     * 更新 考勤机下发记录
     * @param updateReqVO 更新信息
     */
    void updateDistributeRecord(@Valid List<DistributeRecordDO> updateReqVO);

    /**
     * 获得最新的 下发或修改的考勤机下发记录
     *
     * @param userId 用户编号编号
     * @return 考勤机下发记录
     */
    List<DistributeRecordDO> getDistributeRecord(List<Long> userId, Collection<Integer> type);
}