package cn.iocoder.yudao.module.wms.controller.admin.businessordernumber.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 业务单号管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BusinessOrderNumberPageReqVO extends PageParam {

    @Schema(description = "业务名称", example = "芋艿")
    private String name;

    @Schema(description = "编号前缀")
    private String prefixCode;

    @Schema(description = "时间规则")
    private String timeRule;

    @Schema(description = "编号长度")
    private Integer orderNoLength;

    @Schema(description = "编号规则")
    private String orderNoRule;

    @Schema(description = "状态 0 禁用 1启用", example = "2")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    private String remark;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}