package cn.iocoder.yudao.module.wms.controller.admin.businessordernumber.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 业务单号管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class BusinessOrderNumberRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "8133")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "业务名称", example = "芋艿")
    @ExcelProperty("业务名称")
    private String name;

    @Schema(description = "编号前缀")
    @ExcelProperty("编号前缀")
    private String prefixCode;

    @Schema(description = "时间规则")
    @ExcelProperty("时间规则")
    private String timeRule;

    @Schema(description = "编号长度")
    @ExcelProperty("编号长度")
    private Integer orderNoLength;

    @Schema(description = "编号规则")
    @ExcelProperty("编号规则")
    private String orderNoRule;

    @Schema(description = "状态 0 禁用 1启用", example = "2")
    @ExcelProperty("状态 0 禁用 1启用")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}