package cn.iocoder.yudao.module.wms.controller.admin.depot.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 仓库管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DepotPageReqVO extends PageParam {

    @Schema(description = "工厂id", example = "8767")
    private Long factoryId;

    @Schema(description = "仓库名称", example = "张三")
    private String depotName;

    @Schema(description = "仓库编号")
    private String depotNo;

    @Schema(description = "负责人")
    private String principal;

    @Schema(description = "联系电话")
    private String phone;

    @Schema(description = "仓库状态 0禁用 1启用", example = "2")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    private String remark;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
