package cn.iocoder.yudao.module.wms.controller.admin.depot.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 仓库管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DepotRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "15184")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "工厂id", example = "8767")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "工厂名称", example = "张三")
    @ExcelProperty("工厂名称")
    private String factoryName;

    @Schema(description = "仓库名称", example = "张三")
    @ExcelProperty("仓库名称")
    private String depotName;

    @Schema(description = "仓库编号")
    @ExcelProperty("仓库编号")
    private String depotNo;

    @Schema(description = "负责人")
    @ExcelProperty("负责人")
    private String principal;

    @Schema(description = "联系电话")
    @ExcelProperty("联系电话")
    private String phone;

    @Schema(description = "仓库状态 0禁用 1启用", example = "2")
    @ExcelProperty("仓库状态 0禁用 1启用")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
