package cn.iocoder.yudao.module.wms.controller.admin.depotarea.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 库区管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DepotAreaPageReqVO extends PageParam {

    @Schema(description = "工厂id", example = "31855")
    private Long factoryId;

    @Schema(description = "仓库id", example = "5545")
    private Long depotId;

    @Schema(description = "库区名称", example = "张三")
    private String depotAreaName;

    @Schema(description = "库区编号", example = "库区编号")
    private String depotAreaNo;

    @Schema(description = "库区类别 1产品仓 2废料仓（报损）", example = "2")
    private Integer depotAreaType;

    @Schema(description = "库区状态 0禁用 1启用", example = "2")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    private String remark;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
