package cn.iocoder.yudao.module.wms.controller.admin.depotarea.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 库区管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DepotAreaRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7079")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "工厂id", example = "31855")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "工厂名称", example = "张三")
    @ExcelProperty("工厂名称")
    private String factoryName;

    @Schema(description = "仓库id", example = "5545")
    @ExcelProperty("仓库id")
    private Long depotId;

    @Schema(description = "库区名称", example = "张三")
    @ExcelProperty("库区名称")
    private String depotAreaName;

    @ExcelProperty("库区编号")
    @Schema(description = "库区编号", example = "库区编号")
    private String depotAreaNo;

    @Schema(description = "库区类别 1产品仓 2废料仓（报损）", example = "2")
    @ExcelProperty("库区类别 1产品仓 2废料仓（报损）")
    private Integer depotAreaType;

    @Schema(description = "库区状态 0禁用 1启用", example = "2")
    @ExcelProperty("库区状态 0禁用 1启用")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
