package cn.iocoder.yudao.module.wms.controller.admin.depotlocation.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 库位管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DepotLocationPageReqVO extends PageParam {

    @Schema(description = "工厂id", example = "3324")
    private Long factoryId;

    @Schema(description = "仓库id", example = "18627")
    private Long depotId;

    @Schema(description = "库区id", example = "5734")
    private Long depotAreaId;

    @Schema(description = "行")
    private Integer rowNum;

    @Schema(description = "列")
    private Integer columnNum;

    @Schema(description = "层")
    private Integer layerNum;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
