package cn.iocoder.yudao.module.wms.controller.admin.depotlocation.vo;

import cn.iocoder.yudao.module.wms.controller.admin.depotlocationitem.vo.DepotLocationItemRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 库位管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DepotLocationRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "28401")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "工厂id", example = "3324")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "仓库id", example = "18627")
    @ExcelProperty("仓库id")
    private Long depotId;

    @Schema(description = "库区id", example = "5734")
    @ExcelProperty("库区id")
    private Long depotAreaId;

    @Schema(description = "行")
    @ExcelProperty("行")
    private Integer rowNum;

    @Schema(description = "列")
    @ExcelProperty("列")
    private Integer columnNum;

    @Schema(description = "层")
    @ExcelProperty("层")
    private Integer layerNum;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;


    @Schema(description = "子表信息")
    private List<DepotLocationItemRespVO> items;
}
