package cn.iocoder.yudao.module.wms.controller.admin.depotlocationitem.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 库位子表管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DepotLocationItemPageReqVO extends PageParam {

    @Schema(description = "库位id", example = "17497")
    private Long locationId;

    @Schema(description = "列")
    private Integer columnNum;

    @Schema(description = "行")
    private Integer rowNum;

    @Schema(description = "层")
    private Integer layerNum;


    @Schema(description = "上边框json{routeCheck: true,type: top}")
    private String top;

    @Schema(description = "下边框json{routeCheck: true,type: bottom}")
    private String bottom;

    @Schema(description = "左边框json{routeCheck: true,type: left }")
    private String left;

    @Schema(description = "右边框json{routeCheck: true,type: right}")
    private String right;

    @Schema(description = "下标（1,2）")
    private String coordinate;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
