package cn.iocoder.yudao.module.wms.controller.admin.depotlocationitem.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 库位子表管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DepotLocationItemRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "2795")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "库位id", example = "17497")
    @ExcelProperty("库位id")
    private Long locationId;

    @Schema(description = "列")
    @ExcelProperty("列")
    private Integer columnNum;

    @Schema(description = "行")
    @ExcelProperty("行")
    private Integer rowNum;

    @ExcelProperty("层")
    @Schema(description = "层")
    private Integer layerNum;


    @Schema(description = "上边框json{routeCheck: true,type: top}")
    @ExcelProperty("上边框json{routeCheck: true,type: top}")
    private String top;

    @Schema(description = "下边框json{routeCheck: true,type: bottom}")
    @ExcelProperty("下边框json{routeCheck: true,type: bottom}")
    private String bottom;

    @Schema(description = "左边框json{routeCheck: true,type: left}")
    @ExcelProperty("左边框json{routeCheck: true,type: left}")
    private String left;

    @Schema(description = "右边框json{routeCheck: true,type: right}")
    @ExcelProperty("右边框json{routeCheck: true,type: right}")
    private String right;

    @Schema(description = "下标（1,2）")
    @ExcelProperty("下标（1,2）")
    private String coordinate;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
