package cn.iocoder.yudao.module.wms.controller.admin.industrycategory.vo;

import cn.iocoder.yudao.module.wms.controller.admin.industrycategoryproperty.vo.IndustryCategoryPropertyRespVO;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 行业分类 Response VO")
@Data
@ExcelIgnoreUnannotated
public class IndustryCategoryRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "26302")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "行业分类名称", example = "赵六")
    @ExcelProperty("行业分类名称")
    private String name;

    @Schema(description = "备注", example = "随便")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "属性列表", example = "属性列表")
    private List<IndustryCategoryPropertyRespVO> items;

}
