package cn.iocoder.yudao.module.wms.controller.admin.productcategory.vo;

import cn.iocoder.yudao.module.wms.controller.admin.productcategoryproperty.vo.ProductCategoryPropertyRespVO;
import cn.iocoder.yudao.module.wms.dal.dataobject.productcategoryproperty.ProductCategoryPropertyDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 产品分类 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ProductCategoryRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "26727")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "行业分类id", example = "16442")
    @ExcelProperty("行业分类id")
    private Long industryCategoryId;

    @Schema(description = "产品分类名称", example = "赵六")
    @ExcelProperty("产品分类名称")
    private String name;

    @Schema(description = "一级单位")
    @ExcelProperty("一级单位")
    private String unitI;

    @Schema(description = "二级单位")
    @ExcelProperty("二级单位")
    private String unitIi;

    @Schema(description = "三级单位")
    @ExcelProperty("三级单位")
    private String unitIii;

    @Schema(description = "备注", example = "随便")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "属性列表", example = "属性列表")
    private List<ProductCategoryPropertyRespVO> items;


}
