package cn.iocoder.yudao.module.wms.controller.admin.productcategory.vo;

import cn.iocoder.yudao.module.wms.controller.admin.productcategoryproperty.vo.ProductCategoryPropertySaveReqVO;
import cn.iocoder.yudao.module.wms.dal.dataobject.productcategoryproperty.ProductCategoryPropertyDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 产品分类新增/修改 Request VO")
@Data
public class ProductCategorySaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "26727")
    private Long id;

    @Schema(description = "行业分类id", example = "16442")
    private Long industryCategoryId;

    @Schema(description = "产品分类名称", example = "赵六")
    private String name;

    @Schema(description = "一级单位")
    private String unitI;

    @Schema(description = "二级单位")
    private String unitIi;

    @Schema(description = "三级单位")
    private String unitIii;

    @Schema(description = "备注", example = "随便")
    private String remark;

    @Schema(description = "属性列表", example = "属性列表")
    private List<ProductCategoryPropertySaveReqVO> items;

}
