package cn.iocoder.yudao.module.wms.controller.admin.productionline.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 产线管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductionLinePageReqVO extends PageParam {

    @Schema(description = "工厂id", example = "11523")
    private Long factoryId;

    @Schema(description = "产线名称", example = "李四")
    private String name;

    @Schema(description = "产线地址")
    private String address;

    @Schema(description = "负责人")
    private String principal;

    @Schema(description = "联系电话")
    private String phone;

    @Schema(description = "状态 0 禁用 1启用", example = "2")
    private Integer status;

    @Schema(description = "备注", example = "你猜")
    private String remark;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}