package cn.iocoder.yudao.module.wms.controller.admin.productionline.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 产线管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ProductionLineRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "12732")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "工厂id", example = "11523")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "产线名称", example = "李四")
    @ExcelProperty("产线名称")
    private String name;

    @Schema(description = "产线地址")
    @ExcelProperty("产线地址")
    private String address;

    @Schema(description = "负责人")
    @ExcelProperty("负责人")
    private String principal;

    @Schema(description = "联系电话")
    @ExcelProperty("联系电话")
    private String phone;

    @Schema(description = "状态 0 禁用 1启用", example = "2")
    @ExcelProperty("状态 0 禁用 1启用")
    private Integer status;

    @Schema(description = "备注", example = "你猜")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}