package cn.iocoder.yudao.module.wms.controller.admin.qrcode.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 二维码管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class QrCodeRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "27863")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "名称", example = "张三")
    @ExcelProperty("名称")
    private String name;

    @Schema(description = "长")
    @ExcelProperty("长")
    private BigDecimal length;

    @Schema(description = "宽")
    @ExcelProperty("宽")
    private BigDecimal width;

    @Schema(description = "高")
    @ExcelProperty("高")
    private BigDecimal high;

    @Schema(description = "类型 0出库 1入库", example = "1")
    @ExcelProperty("类型 0出库 1入库")
    private Integer type;

    @Schema(description = "状态 0 禁用 1启用", example = "1")
    @ExcelProperty("状态 0 禁用 1启用")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}