package cn.iocoder.yudao.module.wms.dal.dataobject.businessordernumber;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 业务单号管理 DO
 *
 * @author 艾楷
 */
@TableName("wms_business_order_number")
@KeySequence("wms_business_order_number_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusinessOrderNumberDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 业务名称
     */
    private String name;
    /**
     * 编号前缀
     */
    private String prefixCode;
    /**
     * 时间规则
     */
    private String timeRule;
    /**
     * 编号长度
     */
    private Integer orderNoLength;
    /**
     * 编号规则
     */
    private String orderNoRule;
    /**
     * 状态 0 禁用 1启用
     */
    private Integer status;
    /**
     * 备注
     */
    private String remark;

}