package cn.iocoder.yudao.module.wms.dal.dataobject.depotarea;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 库区管理 DO
 *
 * @author 艾楷
 */
@TableName("wms_depot_area")
@KeySequence("wms_depot_area_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DepotAreaDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 仓库id
     */
    private Long depotId;
    /**
     * 库区名称
     */
    private String depotAreaName;

    /**
     * 库区编号
     */
    private String depotAreaNo;

    /**
     * 库区类别 1产品仓 2废料仓（报损）
     */
    private Integer depotAreaType;
    /**
     * 库区状态 0禁用 1启用
     */
    private Integer status;
    /**
     * 备注
     */
    private String remark;

    /**
     * 工厂名称
     */
    @TableField(exist = false)
    private String factoryName;
}
