package cn.iocoder.yudao.module.wms.dal.dataobject.depotlocation;

import cn.iocoder.yudao.module.wms.dal.dataobject.depotlocationitem.DepotLocationItemDO;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 库位管理 DO
 *
 * @author 艾楷
 */
@TableName("wms_depot_location")
@KeySequence("wms_depot_location_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DepotLocationDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 仓库id
     */
    private Long depotId;
    /**
     * 库区id
     */
    private Long depotAreaId;
    /**
     * 行
     */
    private Integer rowNum;
    /**
     * 列
     */
    private Integer columnNum;
    /**
     * 层
     */
    private Integer layerNum;
    /**
     * 子表列表
     */
    @TableField(exist = false)
    private List<DepotLocationItemDO> items;

}
