package cn.iocoder.yudao.module.wms.dal.dataobject.depotlocationitem;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 库位子表管理 DO
 *
 * @author 艾楷
 */
@TableName("wms_depot_location_item")
@KeySequence("wms_depot_location_item_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DepotLocationItemDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 库位id
     */
    private Long locationId;
    /**
     * 列
     */
    private Integer columnNum;
    /**
     * 行
     */
    private Integer rowNum;
    /**
     * 层
     */
    private Integer layerNum;
    /**
     * 上边框json{routeCheck: true,type:"top"}
     */
    @TableField("`top`")
    private String top;
    /**
     * 下边框json{routeCheck: true,type:"bottom"}
     */
    @TableField("`bottom`")
    private String bottom;
    /**
     * 左边框json{routeCheck: true,type:"left"}
     */
    @TableField("`left`")
    private String left;
    /**
     * 右边框json{routeCheck: true,type:"right"}
     */
    @TableField("`right`")
    private String right;
    /**
     * 下标（1,2）
     */
    private String coordinate;

}
