package cn.iocoder.yudao.module.wms.dal.dataobject.inouttype;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 出入库类型管理 DO
 *
 * @author 艾楷
 */
@TableName("wms_in_out_type")
@KeySequence("wms_in_out_type_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class InOutTypeDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 类型名称
     */
    private String name;
    /**
     * 类型 0出库 1入库
     */
    private Integer type;
    /**
     * 状态 0 禁用 1启用
     */
    private Integer status;
    /**
     * 备注
     */
    private String remark;

}