package cn.iocoder.yudao.module.wms.dal.dataobject.productcategory;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 产品分类 DO
 *
 * @author 艾楷
 */
@TableName("wms_product_category")
@KeySequence("wms_product_category_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProductCategoryDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 行业分类id
     */
    private Long industryCategoryId;
    /**
     * 产品分类名称
     */
    private String name;
    /**
     * 一级单位
     */
    private String unitI;
    /**
     * 二级单位
     */
    private String unitIi;
    /**
     * 三级单位
     */
    private String unitIii;
    /**
     * 备注
     */
    private String remark;

}