package cn.iocoder.yudao.module.wms.dal.dataobject.productcategoryproperty;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 产品分类属性 DO
 *
 * @author 艾楷
 */
@TableName("wms_product_category_property")
@KeySequence("wms_product_category_property_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProductCategoryPropertyDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 产品分类id
     */
    private Long productCategoryId;
    /**
     * 属性名称
     */
    private String name;

}