package cn.iocoder.yudao.module.wms.dal.dataobject.productionline;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 产线管理 DO
 *
 * @author 艾楷
 */
@TableName("wms_production_line")
@KeySequence("wms_production_line_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProductionLineDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 产线名称
     */
    private String name;
    /**
     * 产线地址
     */
    private String address;
    /**
     * 负责人
     */
    private String principal;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 状态 0 禁用 1启用
     */
    private Integer status;
    /**
     * 备注
     */
    private String remark;

}