package cn.iocoder.yudao.module.wms.service.barcode;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.wms.controller.admin.barcode.vo.*;
import cn.iocoder.yudao.module.wms.dal.dataobject.barcode.BarCodeDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 条码管理 Service 接口
 *
 * @author 艾楷
 */
public interface BarCodeService {

    /**
     * 创建条码管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBarCode(@Valid BarCodeSaveReqVO createReqVO);

    /**
     * 更新条码管理
     *
     * @param updateReqVO 更新信息
     */
    void updateBarCode(@Valid BarCodeSaveReqVO updateReqVO);

    /**
     * 删除条码管理
     *
     * @param id 编号
     */
    void deleteBarCode(Long id);

    /**
     * 获得条码管理
     *
     * @param id 编号
     * @return 条码管理
     */
    BarCodeDO getBarCode(Long id);

    /**
     * 获得条码管理分页
     *
     * @param pageReqVO 分页查询
     * @return 条码管理分页
     */
    PageResult<BarCodeDO> getBarCodePage(BarCodePageReqVO pageReqVO);

}