package cn.iocoder.yudao.module.wms.service.businessordernumber;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.wms.controller.admin.businessordernumber.vo.*;
import cn.iocoder.yudao.module.wms.dal.dataobject.businessordernumber.BusinessOrderNumberDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 业务单号管理 Service 接口
 *
 * @author 艾楷
 */
public interface BusinessOrderNumberService {

    /**
     * 创建业务单号管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBusinessOrderNumber(@Valid BusinessOrderNumberSaveReqVO createReqVO);

    /**
     * 更新业务单号管理
     *
     * @param updateReqVO 更新信息
     */
    void updateBusinessOrderNumber(@Valid BusinessOrderNumberSaveReqVO updateReqVO);

    /**
     * 删除业务单号管理
     *
     * @param id 编号
     */
    void deleteBusinessOrderNumber(Long id);

    /**
     * 获得业务单号管理
     *
     * @param id 编号
     * @return 业务单号管理
     */
    BusinessOrderNumberDO getBusinessOrderNumber(Long id);

    /**
     * 获得业务单号管理分页
     *
     * @param pageReqVO 分页查询
     * @return 业务单号管理分页
     */
    PageResult<BusinessOrderNumberDO> getBusinessOrderNumberPage(BusinessOrderNumberPageReqVO pageReqVO);

}