package cn.iocoder.yudao.module.wms.service.depot;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.wms.controller.admin.depot.vo.DepotPageReqVO;
import cn.iocoder.yudao.module.wms.controller.admin.depot.vo.DepotRespVO;
import cn.iocoder.yudao.module.wms.controller.admin.depot.vo.DepotSaveReqVO;
import cn.iocoder.yudao.module.wms.dal.dataobject.depot.DepotDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 仓库管理 Service 接口
 *
 * @author 艾楷
 */
public interface DepotService {

    /**
     * 创建仓库管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDepot(@Valid DepotSaveReqVO createReqVO);

    /**
     * 更新仓库管理
     *
     * @param updateReqVO 更新信息
     */
    void updateDepot(@Valid DepotSaveReqVO updateReqVO);

    /**
     * 删除仓库管理
     *
     * @param id 编号
     */
    void deleteDepot(Long id);

    /**
     * 获得仓库管理
     *
     * @param id 编号
     * @return 仓库管理
     */
    DepotDO getDepot(Long id);

    /**
     * 获得仓库管理分页
     *
     * @param pageReqVO 分页查询
     * @return 仓库管理分页
     */
    PageResult<DepotDO> getDepotPage(DepotPageReqVO pageReqVO);

    /**
     * 获得仓库管理
     *
     * @param pageReqVO
     * @return
     */
    List<DepotRespVO> getDepotList(DepotPageReqVO pageReqVO);
}
