package cn.iocoder.yudao.module.wms.service.depotarea;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.wms.controller.admin.depot.vo.DepotPageReqVO;
import cn.iocoder.yudao.module.wms.controller.admin.depot.vo.DepotRespVO;
import cn.iocoder.yudao.module.wms.controller.admin.depotarea.vo.DepotAreaPageReqVO;
import cn.iocoder.yudao.module.wms.controller.admin.depotarea.vo.DepotAreaRespVO;
import cn.iocoder.yudao.module.wms.controller.admin.depotarea.vo.DepotAreaSaveReqVO;
import cn.iocoder.yudao.module.wms.dal.dataobject.depotarea.DepotAreaDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 库区管理 Service 接口
 *
 * @author 艾楷
 */
public interface DepotAreaService {

    /**
     * 创建库区管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDepotArea(@Valid DepotAreaSaveReqVO createReqVO);

    /**
     * 更新库区管理
     *
     * @param updateReqVO 更新信息
     */
    void updateDepotArea(@Valid DepotAreaSaveReqVO updateReqVO);

    /**
     * 删除库区管理
     *
     * @param id 编号
     */
    void deleteDepotArea(Long id);

    /**
     * 获得库区管理
     *
     * @param id 编号
     * @return 库区管理
     */
    DepotAreaDO getDepotArea(Long id);

    /**
     * 获得库区管理分页
     *
     * @param pageReqVO 分页查询
     * @return 库区管理分页
     */
    PageResult<DepotAreaDO> getDepotAreaPage(DepotAreaPageReqVO pageReqVO);

    /**
     * 获得库区管理列表
     *
     * @param pageReqVO
     * @return
     */
    List<DepotAreaRespVO> getDepotAreaList(DepotAreaPageReqVO pageReqVO);
}
