package cn.iocoder.yudao.module.wms.service.depotlocation;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.wms.controller.admin.depotlocation.vo.*;
import cn.iocoder.yudao.module.wms.dal.dataobject.depotlocation.DepotLocationDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 库位管理 Service 接口
 *
 * @author 艾楷
 */
public interface DepotLocationService {

    /**
     * 创建库位管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDepotLocation(@Valid DepotLocationSaveReqVO createReqVO);

    /**
     * 更新库位管理
     *
     * @param updateReqVO 更新信息
     */
    void updateDepotLocation(@Valid DepotLocationSaveReqVO updateReqVO);

    /**
     * 删除库位管理
     *
     * @param id 编号
     */
    void deleteDepotLocation(Long id);

    /**
     * 获得库位管理
     *
     * @param id 编号
     * @return 库位管理
     */
    DepotLocationDO getDepotLocation(Long id);

    /**
     * 获得库位管理分页
     *
     * @param pageReqVO 分页查询
     * @return 库位管理分页
     */
    PageResult<DepotLocationDO> getDepotLocationPage(DepotLocationPageReqVO pageReqVO);

}