package cn.iocoder.yudao.module.wms.service.depotlocationitem;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.wms.controller.admin.depotlocationitem.vo.*;
import cn.iocoder.yudao.module.wms.dal.dataobject.depotlocationitem.DepotLocationItemDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 库位子表管理 Service 接口
 *
 * @author 艾楷
 */
public interface DepotLocationItemService {

    /**
     * 创建库位子表管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDepotLocationItem(@Valid DepotLocationItemSaveReqVO createReqVO);

    /**
     * 更新库位子表管理
     *
     * @param updateReqVO 更新信息
     */
    void updateDepotLocationItem(@Valid DepotLocationItemSaveReqVO updateReqVO);

    /**
     * 删除库位子表管理
     *
     * @param id 编号
     */
    void deleteDepotLocationItem(Long id);

    /**
     * 获得库位子表管理
     *
     * @param id 编号
     * @return 库位子表管理
     */
    DepotLocationItemDO getDepotLocationItem(Long id);

    /**
     * 获得库位子表管理分页
     *
     * @param pageReqVO 分页查询
     * @return 库位子表管理分页
     */
    PageResult<DepotLocationItemDO> getDepotLocationItemPage(DepotLocationItemPageReqVO pageReqVO);

}