package cn.iocoder.yudao.module.wms.service.industrycategory;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.wms.controller.admin.industrycategory.vo.*;
import cn.iocoder.yudao.module.wms.dal.dataobject.industrycategory.IndustryCategoryDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 行业分类 Service 接口
 *
 * @author 艾楷
 */
public interface IndustryCategoryService {

    /**
     * 创建行业分类
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createIndustryCategory(@Valid IndustryCategorySaveReqVO createReqVO);

    /**
     * 更新行业分类
     *
     * @param updateReqVO 更新信息
     */
    void updateIndustryCategory(@Valid IndustryCategorySaveReqVO updateReqVO);

    /**
     * 删除行业分类
     *
     * @param id 编号
     */
    void deleteIndustryCategory(Long id);

    /**
     * 获得行业分类
     *
     * @param id 编号
     * @return 行业分类
     */
    IndustryCategoryDO getIndustryCategory(Long id);

    /**
     * 获得行业分类分页
     *
     * @param pageReqVO 分页查询
     * @return 行业分类分页
     */
    PageResult<IndustryCategoryDO> getIndustryCategoryPage(IndustryCategoryPageReqVO pageReqVO);

}