package cn.iocoder.yudao.module.wms.service.industrycategoryproperty;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.wms.controller.admin.industrycategoryproperty.vo.IndustryCategoryPropertyPageReqVO;
import cn.iocoder.yudao.module.wms.controller.admin.industrycategoryproperty.vo.IndustryCategoryPropertySaveReqVO;
import cn.iocoder.yudao.module.wms.dal.dataobject.industrycategoryproperty.IndustryCategoryPropertyDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 行业分类属性 Service 接口
 *
 * @author 艾楷
 */
public interface IndustryCategoryPropertyService {

    /**
     * 创建行业分类属性
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createIndustryCategoryProperty(@Valid IndustryCategoryPropertySaveReqVO createReqVO);

    /**
     * 更新行业分类属性
     *
     * @param updateReqVO 更新信息
     */
    void updateIndustryCategoryProperty(@Valid IndustryCategoryPropertySaveReqVO updateReqVO);

    /**
     * 删除行业分类属性
     *
     * @param id 编号
     */
    void deleteIndustryCategoryProperty(Long id);

    /**
     * 获得行业分类属性
     *
     * @param id 编号
     * @return 行业分类属性
     */
    IndustryCategoryPropertyDO getIndustryCategoryProperty(Long id);

    /**
     * 获得行业分类属性分页
     *
     * @param pageReqVO 分页查询
     * @return 行业分类属性分页
     */
    PageResult<IndustryCategoryPropertyDO> getIndustryCategoryPropertyPage(IndustryCategoryPropertyPageReqVO pageReqVO);

    /**
     * 根据行业分类id查询行业分类属性
     * @param industryCategoryId
     * @return
     */
    List<IndustryCategoryPropertyDO> getByIndustryCategoryId(Long industryCategoryId);
}
