package cn.iocoder.yudao.module.wms.service.inouttype;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.wms.controller.admin.inouttype.vo.*;
import cn.iocoder.yudao.module.wms.dal.dataobject.inouttype.InOutTypeDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 出入库类型管理 Service 接口
 *
 * @author 艾楷
 */
public interface InOutTypeService {

    /**
     * 创建出入库类型管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createInOutType(@Valid InOutTypeSaveReqVO createReqVO);

    /**
     * 更新出入库类型管理
     *
     * @param updateReqVO 更新信息
     */
    void updateInOutType(@Valid InOutTypeSaveReqVO updateReqVO);

    /**
     * 删除出入库类型管理
     *
     * @param id 编号
     */
    void deleteInOutType(Long id);

    /**
     * 获得出入库类型管理
     *
     * @param id 编号
     * @return 出入库类型管理
     */
    InOutTypeDO getInOutType(Long id);

    /**
     * 获得出入库类型管理分页
     *
     * @param pageReqVO 分页查询
     * @return 出入库类型管理分页
     */
    PageResult<InOutTypeDO> getInOutTypePage(InOutTypePageReqVO pageReqVO);

}