package cn.iocoder.yudao.module.wms.service.productionline;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.wms.controller.admin.productionline.vo.*;
import cn.iocoder.yudao.module.wms.dal.dataobject.productionline.ProductionLineDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 产线管理 Service 接口
 *
 * @author 艾楷
 */
public interface ProductionLineService {

    /**
     * 创建产线管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createProductionLine(@Valid ProductionLineSaveReqVO createReqVO);

    /**
     * 更新产线管理
     *
     * @param updateReqVO 更新信息
     */
    void updateProductionLine(@Valid ProductionLineSaveReqVO updateReqVO);

    /**
     * 删除产线管理
     *
     * @param id 编号
     */
    void deleteProductionLine(Long id);

    /**
     * 获得产线管理
     *
     * @param id 编号
     * @return 产线管理
     */
    ProductionLineDO getProductionLine(Long id);

    /**
     * 获得产线管理分页
     *
     * @param pageReqVO 分页查询
     * @return 产线管理分页
     */
    PageResult<ProductionLineDO> getProductionLinePage(ProductionLinePageReqVO pageReqVO);

}