package cn.iocoder.yudao.module.wms.service.qrcode;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.wms.controller.admin.qrcode.vo.QrCodePageReqVO;
import cn.iocoder.yudao.module.wms.controller.admin.qrcode.vo.QrCodeSaveReqVO;
import cn.iocoder.yudao.module.wms.dal.dataobject.qrcode.QrCodeDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 二维码管理 Service 接口
 *
 * @author 艾楷
 */
public interface QrCodeService {

    /**
     * 创建二维码管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createQrCode(@Valid QrCodeSaveReqVO createReqVO);

    /**
     * 更新二维码管理
     *
     * @param updateReqVO 更新信息
     */
    void updateQrCode(@Valid QrCodeSaveReqVO updateReqVO);

    /**
     * 删除二维码管理
     *
     * @param id 编号
     */
    void deleteQrCode(Long id);

    /**
     * 获得二维码管理
     *
     * @param id 编号
     * @return 二维码管理
     */
    QrCodeDO getQrCode(Long id);

    /**
     * 获得二维码管理分页
     *
     * @param pageReqVO 分页查询
     * @return 二维码管理分页
     */
    PageResult<QrCodeDO> getQrCodePage(QrCodePageReqVO pageReqVO);

    /**
     * 批量删除
     *
     * @param ids
     */
    void batchDeleteQrCode(List<Long> ids);
}
