package cn.iocoder.yudao.module.smartfactory.controller.admin.device.cameradevice.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 设备-监控摄像头 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CameraDeviceRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "20473")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "32023")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "工厂名称")
    private String factoryName;

    @Schema(description = "设备名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @ExcelProperty("设备名称")
    private String name;

    @Schema(description = "设备编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("设备编号")
    private String code;

    @Schema(description = "类型（1 枪机 2半球 3球机 4云台枪机）", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("类型（1 枪机 2半球 3球机 4云台枪机）")
    private String type;

    @Schema(description = "状态（0正常  1停用）", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("状态（0正常  1停用）")
    private String status;

    @Schema(description = "录像机地址", example = "https://www.iocoder.cn")
    @ExcelProperty("录像机地址")
    private String videoUrl;

    @Schema(description = "流媒体地址", example = "https://www.iocoder.cn")
    @ExcelProperty("流媒体地址")
    private String streamUrl;

    @Schema(description = "是否在大屏显示 0否 1是", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("是否在大屏显示 0否 1是")
    private Integer isShow;

    @Schema(description = "排序")
    private Integer sort;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}