package cn.iocoder.yudao.module.smartfactory.controller.admin.device.cameradevice.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.*;

@Schema(description = "管理后台 - 设备-监控摄像头新增/修改 Request VO")
@Data
public class CameraDeviceSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "20473")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "32023")
    @NotNull(message = "工厂id不能为空")
    private Long factoryId;

    @Schema(description = "设备名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @NotEmpty(message = "设备名称不能为空")
    private String name;

    @Schema(description = "设备编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "设备编号不能为空")
    private String code;

    @Schema(description = "类型（1 枪机 2半球 3球机 4云台枪机）", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotEmpty(message = "类型（1 枪机 2半球 3球机 4云台枪机）不能为空")
    private String type;

    @Schema(description = "状态（0正常  1停用）", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotEmpty(message = "状态（0正常  1停用）不能为空")
    private String status;

    @Schema(description = "录像机地址", example = "https://www.iocoder.cn")
    private String videoUrl;

    @Schema(description = "流媒体地址", example = "https://www.iocoder.cn")
    private String streamUrl;

    @Schema(description = "排序")
    private Integer sort;

    @Schema(description = "是否在大屏显示 0否 1是", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "是否在大屏显示 0否 1是不能为空")
    private Integer isShow;

}