package cn.iocoder.yudao.module.smartfactory.controller.admin.factory.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 工厂信息新增/修改 Request VO")
@Data
public class SfFactoryInfoSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "15034")
    private Long id;

    @Schema(description = "工厂全名", requiredMode = Schema.RequiredMode.REQUIRED, example = "赵六")
    @NotEmpty(message = "工厂全名不能为空")
    private String fullName;

    @Schema(description = "工厂简称", requiredMode = Schema.RequiredMode.REQUIRED, example = "王五")
    @NotEmpty(message = "工厂简称不能为空")
    private String shortName;

    @Schema(description = "工厂类型")
    private String type;

    @Schema(description = "工厂简介", example = "你猜")
    private String description;

    @Schema(description = "所在省id", example = "16166")
    private Long provinceId;

    @Schema(description = "所在省名称", example = "赵六")
    private String provinceName;

    @Schema(description = "所在城市id", example = "16909")
    private Long cityId;

    @Schema(description = "所在城市名称", example = "赵六")
    private String cityName;

    @Schema(description = "所在区县id", example = "16699")
    private Long districtId;

    @Schema(description = "所在区县名称", example = "李四")
    private String districtName;

    @Schema(description = "经度")
    private BigDecimal lng;

    @Schema(description = "纬度")
    private BigDecimal lat;

    @Schema(description = "详细地址")
    private String address;

    @Schema(description = "备注", example = "你说的对")
    private String remark;

    @Schema(description = "电动车总量")
    private Integer vehicleNum;

    @Schema(description = "单个电动车碳排放")
    private BigDecimal vehicleCo2;

    @Schema(description = "排序")
    private Integer sort;

    @Schema(description = "海康安防接口访问地址端口")
    private String hikServerHost;

    @Schema(description = "海康appkey")
    private String hikAppKey;

    @Schema(description = "海康密钥")
    private String hikAppSecret;

}