package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydata.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

@Schema(description = "管理后台 - 工厂出库入库 规格详情数据 Response VO")
@Data
public class FactoryDataDetailRespVO {

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1000078")
    private Long factoryId;

    @Schema(description = "工厂名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "新景象")
    private String factoryName;

    @Schema(description = "日期", requiredMode = Schema.RequiredMode.REQUIRED, example = "2024-05-14")
    private LocalDate date;

    /**
     * 规格明细
     */
    private List<FactoryDataInfoRespVO> items;

    @Schema(description = "入库总箱数")
    private Integer inTotalNum;

    @Schema(description = "入库总平方数")
    private BigDecimal squareNum;

    @Schema(description = "出库总箱数")
    private Integer outTotalNum;

    @Schema(description = "破损总数")
    private Integer damageNum;

    @Schema(description = "是否可编辑 | 1可 ")
    private Integer isEdit;
}
