package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydata.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

/**
 * 出入库数据导入 VO
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = false) // 设置 chain = false，避免用户导入有问题
public class FactoryDataImportVO {

    @ExcelProperty("工厂名称")
    private String factoryName;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ExcelProperty(value = "日期")
    private LocalDate date;

    @ExcelProperty("规格")
    private String sizeName;

//    @ExcelProperty("手动打包数")
//    private Integer num;
//
//    @ExcelProperty("自动打包数")
//    private Integer autoNum;
//
//    @ExcelProperty("入库数")
//    private Integer inNum;
//
//    @ExcelProperty("打包破损数")
//    private Integer damageNum;
//
//    @ExcelProperty("入库破损数")
//    private Integer inDamageNum;
//
//    @ExcelProperty("出库数")
//    private Integer outNum;
//
//    @ExcelProperty("出库破损数")
//    private Integer outDamageNum;

    @ExcelProperty("出入库数")
    private Integer num;

    @ExcelProperty("破损数")
    private Integer damageNum;
}
