package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydata.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "规格明细")
@Data
public class FactoryDataInfoRespVO {

    @Schema(description = "打包线数据id")
    private Long id;

    @Schema(description = "工厂id")
    private Long factoryId;

    @Schema(description = "打包线名称")
    private String packageName;

    @Schema(description = "日期")
    private LocalDate date;

    @Schema(description = "规格id")
    private Long sizeId;

    @Schema(description = "规格名称")
    private String sizeName;

    @Schema(description = "规格片数")
    private Integer sizePieces;

    @Schema(description = "手动打包数")
    private Integer num;

    @Schema(description = "自动打包数")
    private Integer autoNum;

    @Schema(description = "入库数量Id")
    private Long inNumId;

    @Schema(description = "入库数量")
    private Integer inNum;

    @Schema(description = "入库平方数")
    private BigDecimal squareNum;

    @Schema(description = "打包破损数")
    private Integer damageNum;

    @Schema(description = "入库破损数id")
    private Long inDamageNumId;

    @Schema(description = "入库破损数")
    private Integer inDamageNum;

    @Schema(description = "出库数id")
    private Long outNumId;

    @Schema(description = "出库数量")
    private Integer outNum;

    @Schema(description = "出库破损数id")
    private Long outDamageNumId;

    @Schema(description = "出库破损数")
    private Integer outDamageNum;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime createTime;
}
