package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydata.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 工厂出库入库数据分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class FactoryDataPageReqVO extends PageParam {

    @Schema(description = "工厂id", example = "1000078")
    private Long factoryId;

    @Schema(description = "进出库类型  1出库  2入库", example = "1")
    private Integer dataType;

    @Schema(description = "日期", example = "2024-05-14")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private LocalDate[] date;

    @Schema(description = "总箱数")
    private Integer totalNum;

    @Schema(description = "总平方数")
    private BigDecimal squareNum;

    @Schema(description = "破损片数")
    private Integer damageNum;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}