package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydata.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDate;

@Schema(description = "管理后台 - 工厂出库入库数据新增/修改 Request VO")
@Data
public class FactoryDataSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1000078")
    @NotNull(message = "工厂id不能为空")
    private Long factoryId;

    @Schema(description = "进出库类型  1出库  2入库", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "进出库类型  1出库  2入库不能为空")
    private Integer dataType;

    @Schema(description = "日期", requiredMode = Schema.RequiredMode.REQUIRED, example = "2024-05-14")
    @NotNull(message = "日期不能为空")
    private LocalDate date;

    @Schema(description = "总箱数")
    private Integer totalNum;

    @Schema(description = "总平方数")
    private BigDecimal squareNum;

    @Schema(description = "破损片数")
    private Integer damageNum;

}