package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydata.vo.sizeData;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 工厂规格数据 Response VO")
@Data
public class FactoryDataSizeRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "工厂编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1000078")
    private Long factoryId;

    @Schema(description = "规格编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long sizeId;

    @Schema(description = "规格名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "300*300")
    private String sizeName;

    @Schema(description = "规格片数", requiredMode = Schema.RequiredMode.REQUIRED, example = "4")
    private Integer sizePieces;

    @Schema(description = "数据类型 | 1:入库破损 2:出库数 3:出库破损", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer type;

    @Schema(description = "数量", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer num;

    @Schema(description = "日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private LocalDate date;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime createTime;
}
