package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydata.vo.sizeData;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 工厂规格数据修改 Request VO")
@Data
public class FactoryDataSizeSaveReqVO {

    @Schema(description = "规格编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "规格编号不能为空")
    private Long sizeId;

    @Schema(description = "规格名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "300*300")
    @NotNull(message = "规格名称不能为空")
    private String sizeName;

    @Schema(description = "规格片数", requiredMode = Schema.RequiredMode.REQUIRED, example = "4")
    @NotNull(message = "规格片数不能为空")
    private Integer sizePieces;

    @Schema(description = "入库数量Id")
    private Long inNumId;

    @Schema(description = "入库数量")
    private Integer inNum;

    @Schema(description = "入库破损数量Id")
    private Long inDamageNumId;

    @Schema(description = "入库破损数量")
    private Integer inDamageNum;

    @Schema(description = "出库数量Id")
    private Long outNumId;

    @Schema(description = "出库数量")
    private Integer outNum;

    @Schema(description = "出库破损数量Id")
    private Long outDamageNumId;

    @Schema(description = "出库破损数量")
    private Integer outDamageNum;
}
