package cn.iocoder.yudao.module.smartfactory.controller.admin.packageInfo.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 打包线分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PackagePageReqVO extends PageParam {

    @Schema(description = "工厂id", example = "10000078")
    private Long factoryId;

    @Schema(description = "规格id", example = "100")
    private Long sizeId;

    @Schema(description = "规格片数", example = "3")
    private Integer sizePieces;

    @Schema(description = "打包线名称", example = "1线")
    private String name;

    @Schema(description = "设备名称", example = "芋艿")
    private String deviceName;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}