package cn.iocoder.yudao.module.smartfactory.controller.admin.packageInfo.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 打包线 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PackageRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "10")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "10000078")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "工厂名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "新景象")
    @ExcelProperty("工厂名称")
    private String factoryName;

    @Schema(description = "规格id", requiredMode = Schema.RequiredMode.REQUIRED, example = "100")
    @ExcelProperty("规格id")
    private Long sizeId;

    @Schema(description = "规格名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "300*300")
    @ExcelProperty("规格名称")
    private String sizeName;

    @Schema(description = "规格片数", requiredMode = Schema.RequiredMode.REQUIRED, example = "3")
    @ExcelProperty("规格片数")
    private Integer sizePieces;

    @Schema(description = "打包线名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "1线")
    @ExcelProperty("打包线名称")
    private String name;

    @Schema(description = "设备名称", example = "芋艿")
    @ExcelProperty("设备名称")
    private String deviceName;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;
}