package cn.iocoder.yudao.module.smartfactory.controller.admin.packageInfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 打包线新增/修改 Request VO")
@Data
public class PackageSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "10")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "10000078")
    @NotNull(message = "工厂id不能为空")
    private Long factoryId;

    @Schema(description = "规格id", requiredMode = Schema.RequiredMode.REQUIRED, example = "100")
    @NotNull(message = "规格id不能为空")
    private Long sizeId;

    @Schema(description = "规格片数", requiredMode = Schema.RequiredMode.REQUIRED, example = "3")
    @NotNull(message = "规格片数不能为空")
    private Integer sizePieces;

    @Schema(description = "打包线名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "1线")
    @NotEmpty(message = "打包线名称不能为空")
    private String name;

    @Schema(description = "设备名称", example = "芋艿")
    private String deviceName;

}