package cn.iocoder.yudao.module.smartfactory.controller.admin.packagedata.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 打包线数据分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PackageDataPageReqVO extends PageParam {

    @Schema(description = "打包线id", example = "12")
    private Long packageId;

    @Schema(description = "打包线名称", example = "1线")
    private String packageName;

    @Schema(description = "工厂id", example = "1000078")
    private Long factoryId;

    @Schema(description = "规格名称", example = "300*300")
    private String sizeName;

    @Schema(description = "规格片数", example = "1")
    private Integer sizePieces;

    @Schema(description = "设备名称", example = "三星")
    private String deviceName;

    @Schema(description = "打包日期", example = "2024-05-14")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private LocalDate packageDate;

    @Schema(description = "手动打包数量")
    private Integer num;

    @Schema(description = "自动打包数量")
    private Integer autoNum;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}