package cn.iocoder.yudao.module.smartfactory.controller.admin.packagedata.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

@Schema(description = "管理后台 - 打包线分页数据 Response VO")
@Data
public class PackagePageDataRespVO {

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1000078")
    private Long factoryId;

    @Schema(description = "工厂名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "新景象")
    private String factoryName;

    @Schema(description = "打包日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private String packageDate;

    @Schema(description = "打包线数据集", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<PackageDataRespVO> packageDataS;

    @Schema(description = "是否可编辑 | 1可 ")
    private Integer isEdit;
}
