package cn.iocoder.yudao.module.smartfactory.dal.dataobject.device.cameradevice;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 设备-监控摄像头 DO
 *
 * @author 艾楷
 */
@TableName("sf_camera_device")
@KeySequence("sf_camera_device_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CameraDeviceDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 设备名称
     */
    private String name;
    /**
     * 设备编号
     */
    private String code;
    /**
     * 类型（1 枪机 2半球 3球机 4云台枪机）
     */
    private String type;
    /**
     * 状态（0正常  1停用）
     */
    private String status;
    /**
     * 录像机地址
     */
    private String videoUrl;
    /**
     * 流媒体地址
     */
    private String streamUrl;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 是否在大屏显示 0否 1是
     */
    private Integer isShow;

}