package cn.iocoder.yudao.module.smartfactory.dal.dataobject.factorydata;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 工厂出库入库数据 DO
 *
 * @author 艾楷
 */
@TableName("sf_factory_data")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FactoryDataDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 进出库类型  1出库  2入库
     */
    private Integer dataType;
    /**
     * 日期
     */
    private LocalDate date;
    /**
     * 总箱数
     */
    private Integer totalNum;
    /**
     * 总平方数
     */
    private BigDecimal squareNum;
    /**
     * 破损片数
     */
    private Integer damageNum;
}