package cn.iocoder.yudao.module.smartfactory.dal.dataobject.factorydata;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDate;

/**
 * 工厂出库入库规格数据 DO
 *
 * @author 符溶馨
 */
@TableName("sf_factory_data_size")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FactoryDataSizeDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;

    /**
     * 工厂ID
     */
    private Long factoryId;

    /**
     * 规格ID
     */
    private Long sizeId;

    /**
     * 规格名称
     */
    private String sizeName;

    /**
     * 规格片数
     */
    private String sizePieces;

    /**
     * 数据类型
     * 1:入库破损 2:出库数 3:出库破损
     */
    private Integer type;

    /**
     * 数量
     */
    private Integer num;

    /**
     * 日期
     */
    private LocalDate date;
}
