package cn.iocoder.yudao.module.smartfactory.dal.dataobject.packageInfo;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 打包线 DO
 *
 * @author 符溶馨
 */
@TableName("sf_package")
@KeySequence("sf_package_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PackageDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 规格id
     */
    private Long sizeId;
    /**
     * 规格片数
     */
    private Integer sizePieces;
    /**
     * 打包线名称
     */
    private String name;
    /**
     * 设备名称
     */
    private String deviceName;

}