package cn.iocoder.yudao.module.smartfactory.dal.dataobject.packagedata;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 打包线数据 DO
 *
 * @author 艾楷
 */
@TableName("sf_package_data")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PackageDataDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 打包线id
     */
    private Long packageId;
    /**
     * 打包线名称
     */
    private String packageName;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 规格编号
     */
    private Long sizeId;
    /**
     * 规格名称
     */
    private String sizeName;
    /**
     * 规格片数
     */
    private Integer sizePieces;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 打包日期
     */
    private LocalDate packageDate;
    /**
     * 手动打包数量
     */
    private Integer num;
    /**
     * 自动打包数量
     */
    private Integer autoNum;
    /**
     * 平方数
     */
    private BigDecimal squareNum;
    /**
     * 破损数量
     */
    private Integer damageNum;
}