package cn.iocoder.yudao.module.smartfactory.service.hik;

import cn.hutool.json.JSONObject;
import cn.iocoder.yudao.module.smartfactory.controller.admin.hik.vo.CameraOperateDTO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.hik.vo.CameraReplayDTO;

/**
 * Hik Service 接口
 *
 * @author 艾楷
 */
public interface HikService {

    /**
     * 查询播放地址
     *
     * @param cameraCode
     * @param streamType
     * @return
     */
    String getPreviewUrlsApi(String cameraCode, Integer streamType);

    /**
     * 查询播放地址 https
     *
     * @param cameraCode
     * @return
     */
    String getPreviewUrlsApiHttps(String cameraCode);

    /**
     * 获取回放流
     *
     * @param cameraReplayDTO
     * @return
     */
    JSONObject getReplayUrl(CameraReplayDTO cameraReplayDTO);

    /**
     * 获取回放URL
     * @param dto
     * @return
     */
    String operateCamera(CameraOperateDTO dto);
}